# ux-checkbox



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute   | Description                                                        | Type      | Default     |
| ---------- | ----------- | ------------------------------------------------------------------ | --------- | ----------- |
| `checked`  | `checked`   | indicates if the checkbox is checked                               | `boolean` | `false`     |
| `disabled` | `disabled`  | indicates if the checkbox is disabled                              | `boolean` | `false`     |
| `error`    | `error`     | indicates if the checkbox has an error state                       | `boolean` | `false`     |
| `errorMsg` | `error-msg` | Error message that is rendered if component has an error           | `string`  | `null`      |
| `inputId`  | `input-id`  | Input id attribute                                                 | `string`  | `undefined` |
| `label`    | `label`     | text inside the checkbox label element, visible to the user        | `string`  | `""`        |
| `name`     | `name`      | name which is used for checkbox groups or as identifier in forms   | `string`  | `""`        |
| `noLabel`  | `no-label`  | to be set if the checkbox should not have content inside the label | `boolean` | `false`     |
| `required` | `required`  | indicates if the checkbox is required                              | `boolean` | `false`     |
| `value`    | `value`     | value of the input element, not visible to the user                | `string`  | `""`        |


## Events

| Event              | Description                                                     | Type               |
| ------------------ | --------------------------------------------------------------- | ------------------ |
| `uxCheckboxChange` | checkbox event, includes checked status, inputId and input name | `CustomEvent<any>` |


## Slots

| Slot | Description                                      |
| ---- | ------------------------------------------------ |
|      | Can be used for Label instead of the label Prop. |


## Dependencies

### Used by

 - [ux-checkbox-list-item](../checkbox-list-item)

### Graph
```mermaid
graph TD;
  ux-checkbox-list-item --> ux-checkbox
  style ux-checkbox fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
