/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "./stencil-public-runtime";
import { MessageType } from "./components/message-box/message-types";
import { UxOption } from "./components/select/option";
import { Direction } from "./components/tabs/tab-container/tab-container";
export namespace Components {
    interface UxAccordion {
        /**
          * The class to be passes to the title of the accordion when it becomes active
         */
        "activeTitleClass": string;
        /**
          * the amount in pixels from wich the accordion functionality is deactivated
         */
        "noAccordionFrom": number | null;
        /**
          * If a click event is detected on this selector, the accordion will not trigger
         */
        "noClickSelector": string;
    }
    interface UxAutosuggestInput {
        /**
          * indicates if the autosuggest input is disabled
         */
        "disabled": boolean;
        /**
          * indicates if the autosuggest input has an error
         */
        "error": boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg": string | null;
        /**
          * id attribute for input. A unique id will be generated if this is empty
         */
        "inputId"?: string;
        /**
          * label for input
         */
        "label"?: string;
        /**
          * name attribute for input
         */
        "name"?: string;
        /**
          * placeholder text for input
         */
        "placeholder"?: string;
        /**
          * indicates if the autosuggest input is required
         */
        "required": boolean;
        /**
          * URL for autosuggest-API
         */
        "url"?: string;
    }
    interface UxAutosuggestItem {
        /**
          * optional image URL
         */
        "image"?: string;
        /**
          * search query that will be highlighted in the text
         */
        "input"?: string;
        /**
          * subline below the text
         */
        "subline"?: string;
        /**
          * suggestion text that matches the input
         */
        "text"?: string;
    }
    interface UxCheckbox {
        /**
          * indicates if the checkbox is checked
         */
        "checked": boolean;
        /**
          * indicates if the checkbox is disabled
         */
        "disabled": boolean;
        /**
          * indicates if the checkbox has an error state
         */
        "error": boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg": string | null;
        /**
          * Input id attribute
         */
        "inputId"?: string;
        /**
          * text inside the checkbox label element, visible to the user
         */
        "label": string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name": string;
        /**
          * to be set if the checkbox should not have content inside the label
         */
        "noLabel": boolean;
        /**
          * indicates if the checkbox is required
         */
        "required": boolean;
        /**
          * value of the input element, not visible to the user
         */
        "value": string;
    }
    interface UxCheckboxListItem {
        /**
          * indicates if the checkbox is checked
         */
        "checked": boolean;
        /**
          * indicates if the checkbox is disabled
         */
        "disabled": boolean;
        /**
          * This is the label that is displayed for this item inside the dropdown
         */
        "label": string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name": string;
        /**
          * this value is used on the checkbox inside this item
         */
        "value": string;
    }
    interface UxCheckboxTile {
        /**
          * alt image tag
         */
        "imageAlt": string;
        /**
          * the image url for the media element of the checkbox
         */
        "imgSrc": string;
        /**
          * optional lazyloading of images
         */
        "lazyload": boolean;
        /**
          * optional text of the tag
         */
        "tag": string;
        /**
          * color of the tag
         */
        "tagColor": "warning" | "info";
    }
    interface UxCollapsible {
        /**
          * the toggle button text in default collapsed state
         */
        "buttonTextCollapsed": string;
        /**
          * the toggle button text in expanded state
         */
        "buttonTextExpanded": string;
        /**
          * toggle expanded state
         */
        "isExpanded": boolean;
    }
    interface UxCopyToClipboard {
        /**
          * Default icon
         */
        "clickToCopyIcon": string;
        /**
          * Icon shown after copy link was clicked
         */
        "clickToCopyIconSuccessful": string;
        /**
          * Default message which indicates link is copyable
         */
        "clickToCopyMessage": string;
        /**
          * Message which gets shown after clicking the copy link
         */
        "clickToCopyMessageSuccessful": string;
        /**
          * Setting wether link to be copied is hidden
         */
        "hideTextToCopy"?: boolean;
        /**
          * Link which can be copied
         */
        "textToCopy": string;
    }
    interface UxCountryIcon {
        /**
          * Country code (ISO-2)
         */
        "country": string;
        /**
          * Size of the icon
         */
        "size": "s" | "m" | "l";
    }
    interface UxDataIngest {
    }
    interface UxDatePicker {
        /**
          * The currently active month (0-11)
         */
        "activeMonth"?: number;
        /**
          * The currently active year (YYYY)
         */
        "activeYear"?: number;
        /**
          * Format of the date value
         */
        "dateFormat": string;
        /**
          * Flag that controls if the field is disabled
         */
        "disabled": boolean;
        /**
          * Indicates an invalid date
         */
        "error": boolean;
        /**
          * Error message that is rendered in invalid state
         */
        "errorMsg": string | null;
        /**
          * The weekday the calendar starts with (0=sunday, 1=monday, 6=saturday)
         */
        "firstWeekday": number;
        /**
          * Initial date, formatted according dateFormat pattern
         */
        "initialValue": string;
        /**
          * Input id attribute
         */
        "inputId"?: string;
        /**
          * Controls the appearance of the control
         */
        "kind": "default" | "form";
        /**
          * Label text describing the input field
         */
        "label"?: string;
        /**
          * The language in which texts are displayed
         */
        "language"?: string;
        /**
          * Optionally, the date can be restricted to a maximum value (YYYY-MM-DD)
         */
        "maxDate"?: string;
        /**
          * Optionally, the date can be restricted to a minimum value (YYYY-MM-DD)
         */
        "minDate"?: string;
        /**
          * Input name attribute
         */
        "name": string;
        /**
          * Input placeholder text
         */
        "placeholder"?: string;
        /**
          * Optional range end date (YYYY-MM-DD)
         */
        "rangeEnd": string;
        /**
          * Optional range start date (YYYY-MM-DD)
         */
        "rangeStart": string;
        /**
          * Indicates if the field is mandatory
         */
        "required": boolean;
        /**
          * Label for the reset button
         */
        "resetText"?: string;
        /**
          * Select a date
         */
        "selectDate": (value: string) => Promise<void>;
        /**
          * Label for the today button
         */
        "todayText"?: string;
    }
    interface UxDateRangePicker {
        /**
          * Format of the date value
         */
        "dateFormat": string;
        /**
          * Flag that controls if the field is disabled
         */
        "disabled": boolean;
        /**
          * Error message that is rendered in invalid state
         */
        "errorMsg": string | null;
        /**
          * The weekday the calendar starts with (0=sunday, 1=monday, 6=saturday)
         */
        "firstWeekday": number;
        /**
          * Input id attribute
         */
        "inputId"?: string;
        /**
          * Controls the appearance of the control
         */
        "kind": "default" | "form";
        /**
          * The language in which texts are displayed
         */
        "language"?: string;
        /**
          * Optionally, the date can be restricted to a maximum value (YYYY-MM-DD)
         */
        "maxDate"?: string;
        /**
          * Optionally, the date can be restricted to a minimum value (YYYY-MM-DD)
         */
        "minDate"?: string;
        /**
          * the input placeholder text
         */
        "placeholder"?: string;
        /**
          * Indicates an invalid end date
         */
        "rangeEndError": boolean;
        /**
          * Error message for the range end field
         */
        "rangeEndErrorMsg": string | null;
        /**
          * Label text for the range end field
         */
        "rangeEndLabel"?: string;
        /**
          * Name for the range end input
         */
        "rangeEndName": string;
        /**
          * Flag that controls if the range end is mandatory
         */
        "rangeEndRequired": boolean;
        /**
          * Initial range end date (YYYY-MM-DD)
         */
        "rangeEndValue": string;
        /**
          * Indicates an invalid end date
         */
        "rangeStartError": boolean;
        /**
          * Error message for the range start field
         */
        "rangeStartErrorMsg": string | null;
        /**
          * Label text for the range end field
         */
        "rangeStartLabel"?: string;
        /**
          * Name for the range start input
         */
        "rangeStartName": string;
        /**
          * Flag that controls if the range start is mandatory
         */
        "rangeStartRequired": boolean;
        /**
          * Initial range start date (YYYY-MM-DD)
         */
        "rangeStartValue": string;
        /**
          * Label for the reset button
         */
        "resetText"?: string;
        /**
          * Label for the today button
         */
        "todayText"?: string;
    }
    interface UxDateTime {
        /**
          * Format String according to https://day.js.org/docs/en/display/format example: "DD.MM.YYYY HH:mm". You can escape characters by wrapping them in []. For now this webcomponent displays localized parts in a date like "Monday" only in English
         */
        "format": string;
        /**
          * UTC time in a ISO_8601 Format https://en.wikipedia.org/wiki/ISO_8601 example: 2020-05-20 17:32:33
         */
        "utc": string;
    }
    interface UxDirectSearchbox {
        /**
          * the submit button label
         */
        "buttonText"?: string;
        /**
          * flag that controls if the searchbox is disabled
         */
        "disabled": boolean;
        /**
          * flag that indicates that the search api has responded with an error
         */
        "error": boolean;
        /**
          * an error message which is rendered in error state
         */
        "errorMsg": string | null;
        /**
          * an optional unique id for the input element
         */
        "inputId"?: string;
        /**
          * the input label text
         */
        "label"?: string;
        /**
          * the input name
         */
        "name"?: string;
        /**
          * flag that indicates a pending search request
         */
        "pending": boolean;
        /**
          * the input placeholder text
         */
        "placeholder"?: string;
        /**
          * the API endpoint from which data is requested
         */
        "url"?: string;
    }
    interface UxDropdown {
        /**
          * This toggles the text-input to filter the dropdown items
         */
        "filterable": boolean;
        /**
          * Text displayed on the Dropdown
          * @deprecated since version 2.13.2, use "placeholder" insead
         */
        "label": string;
        /**
          * Name Identifies the dropdown in a bigger context (for example in forms, filters)
         */
        "name": string;
        /**
          * Set parent container to calculate max width of dropdown and activating scrollbar overflow if necessary
         */
        "parentContainerSelector": string;
        /**
          * Text displayed inside the Dropdown
         */
        "placeholder": string;
        /**
          * The placeholder string for the search field
         */
        "searchPlaceholder": string;
    }
    interface UxFileUpload {
        /**
          * Accepted file types in comma separated list of mime types or file extensions
         */
        "acceptedFiles": string;
        /**
          * indicates if the file upload is disabled
         */
        "disabled": boolean;
        /**
          * indicates if the file upload has an error state. Use error attribute only for static error rendering.
         */
        "error": boolean;
        /**
          * generic error message to be displayed
         */
        "errorMsg": string;
        /**
          * the name to be given to the file inputs
         */
        "inputName": string;
        /**
          * Label text describing the file upload field
         */
        "label": string;
        /**
          * The maximum upload file size in MB
         */
        "maxFileSize": number;
        /**
          * Option to send multiple files in one request
         */
        "maxFiles": number;
        /**
          * Message invalid file extension
         */
        "messageInvalidFile": string;
        /**
          * Message Upload limit reached
         */
        "messageMaxFileSize": string;
        /**
          * Message Upload limit reached
         */
        "messageMaxFilesReached": string;
        /**
          * Generic message upload failed
         */
        "messageUploadFailed": string;
        /**
          * indicates if the file upload is required
         */
        "required": boolean;
    }
    interface UxFileUploadThumbnail {
        /**
          * the fileitself to render an image thumbnail
         */
        "file": File | null;
        /**
          * the data-file-input-id of the associated file input
         */
        "fileInputId": string;
        /**
          * the file name of the associated file
         */
        "fileName": string;
        /**
          * the file type of the associated file
         */
        "fileType": string;
    }
    interface UxFilter {
        /**
          * This is a URL to a JSON API.
         */
        "endpoint": string;
    }
    interface UxFormGroup {
        /**
          * indicates if the form group has an error state
         */
        "error": boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg": string;
        /**
          * label text describing the form fields
         */
        "label": string;
        /**
          * utility classes to be assigned to the label element
         */
        "labelClasses": string;
        /**
          * indicates if the form group is required
         */
        "required": boolean;
    }
    interface UxIcon {
        /**
          * property to change the color of the icon, supported colors: green, white, black
         */
        "fill": string;
        /**
          * name of icon
         */
        "name": string;
        /**
          * the size of the icon on desktop viewports
         */
        "sizeL": number | null;
        /**
          * the size of the icon on tablet viewports
         */
        "sizeM": number | null;
        /**
          * the size of the icon on mobile viewports
         */
        "sizeS": number | null;
    }
    interface UxInfiniteScrollSensor {
        /**
          * is true after the event was fired. This prevents the event from firing again. set this to false to re-enable the event
         */
        "hasFired": boolean;
        /**
          * this name will also be in the event
         */
        "name": string;
    }
    interface UxInputField {
        /**
          * indicates if the input field is disabled
         */
        "disabled": boolean;
        /**
          * indicates if the input field has an error state
         */
        "error": boolean;
        /**
          * error message that is rendered if component has an error
         */
        "errorMsg": string;
        /**
          * input id attribute
         */
        "inputId": string;
        /**
          * label for the the input field
         */
        "label": string;
        /**
          * name of the input field
         */
        "name": string;
        /**
          * placeholder for the input field
         */
        "placeholder": string;
        /**
          * indicates if the input field is required
         */
        "required": boolean;
        /**
          * type of the input field
         */
        "type": string;
        /**
          * value of the input element
         */
        "value": string;
    }
    interface UxList {
        /**
          * enables the search field inside the list
         */
        "filterable": boolean;
        /**
          * The placeholder string for the search field
         */
        "searchPlaceholder": string;
        /**
          * set the Content from outside
         */
        "setFilterValues": (filterValues: Array<any>) => Promise<void>;
    }
    interface UxMessageBox {
        /**
          * headline text
         */
        "headline": string;
        /**
          * icon - set empty string to omit the icon
         */
        "icon": string;
        /**
          * icon size with unit
         */
        "iconSize": string;
        /**
          * intro text that is displayed above the headline
         */
        "intro": string;
        /**
          * do not show the close button
         */
        "noCloseButton": boolean;
        /**
          * message box type. Possible values are `error`,`info`,`warning` and `success`
         */
        "type": MessageType;
    }
    interface UxModal {
        /**
          * The label of the close button
         */
        "closeButtonText": string;
        /**
          * If present, uxModalClose event is emitted when the backdrop is clicked *
         */
        "closeOnBackdropClick": boolean;
        /**
          * If present, uxModalClose event is emitted when escape key is pressed *
         */
        "closeOnEscKey": boolean;
        /**
          * Set the name of the modal
         */
        "name": string;
        /**
          * Disables the close button in the top corner
         */
        "noCloseButton": boolean;
        /**
          * Boolean to indicate if or not the modal is currently opened
         */
        "opened": boolean;
        /**
          * Set the priority of the modal as integer between 1 and 10 - lower numbers have a higher importance
         */
        "priority": number;
        /**
          * reloads the page when the modal is closed
         */
        "reloadOnClose": boolean;
        /**
          * At which vertical position should the maodal be docked *
         */
        "stickyPosition": "center" | "bottom" | "top";
        /**
          * Triggers modal closing
         */
        "triggerClose": () => Promise<void>;
        /**
          * Triggers modal opening
         */
        "triggerOpen": () => Promise<void>;
    }
    interface UxModalContent {
    }
    interface UxModalFooter {
    }
    interface UxNumberInput {
        /**
          * indicates if the number input is disabled
         */
        "disabled": boolean;
        /**
          * indicates if the number input has an error state
         */
        "error": boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg": string | null;
        /**
          * initial value for the input
         */
        "initialValue"?: string;
        /**
          * id attribute for the input element, this will be set automatically if it is not set by the developer
         */
        "inputId": string;
        /**
          * Label text describing the number input field
         */
        "label": string;
        /**
          * max value
         */
        "max"?: string;
        /**
          * min value
         */
        "min"?: string;
        /**
          * name attribute for the input
         */
        "name"?: string;
        /**
          * indicates if the number input is required
         */
        "required": boolean;
        /**
          * size of increment/decrement for the plus/minus button
         */
        "step"?: string;
    }
    interface UxPhoneInput {
        /**
          * Default or detected phone number country code (ISO-2)
         */
        "country": string;
        /**
          * List of country codes to display in the country dropdown (comma-separated, uppercase, e.g. "DE,FR,CN,IT,US"). If unset or empty, all available countries are shown.
         */
        "countryOptions"?: string;
        /**
          * Indicates that the field is disabled
         */
        "disabled": boolean;
        /**
          * Indicates an invalid value. If set to true, an optional errorMsg is shown.
         */
        "error": boolean;
        /**
          * Error message text that is rendered in error state
         */
        "errorMsg"?: string;
        /**
          * @deprecated Initial value for the input - this can be replaced with value
         */
        "initialValue"?: string;
        /**
          * Used for the input id
         */
        "inputId"?: string;
        /**
          * Used to render an input label
         */
        "label"?: string;
        /**
          * Language in which country names should be displayed
         */
        "language": string;
        /**
          * Used for the input name
         */
        "name"?: string;
        /**
          * Indicates that the field is mandatory
         */
        "required": boolean;
        /**
          * value for the input
         */
        "value"?: string;
    }
    interface UxRadioButton {
        /**
          * indicates if the radio button is checked
         */
        "checked": boolean;
        /**
          * indicates if the radio button is disabled
         */
        "disabled": boolean;
        /**
          * indicates if the radio button has an error state
         */
        "error": boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg": string | null;
        /**
          * returns the innerHTML of the label element
         */
        "getLabel": () => Promise<string>;
        /**
          * Input id attribute
         */
        "inputId"?: string;
        /**
          * text inside the radio button label element, visible to the user
         */
        "label": string;
        /**
          * name which is used for radio button groups or as identifier in forms
         */
        "name": string;
        /**
          * indicates if the radio button is required
         */
        "required": boolean;
        /**
          * value of the input element, not visible to the user
         */
        "value": string;
    }
    interface UxRadioListItem {
        /**
          * indicates if the radio button is checked
         */
        "checked": boolean;
        /**
          * indicates if the radio button is disabled
         */
        "disabled": boolean;
        /**
          * This is the label that is displayed for this item inside the dropdown
         */
        "label": string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name": string;
        /**
          * this value is used on the checkbox inside this item
         */
        "value": string;
    }
    interface UxRangeInput {
        /**
          * if set, the input will be disabled
         */
        "disabled": boolean;
        /**
          * if set, the component will be displayed in error mode
         */
        "error": boolean;
        /**
          * the error message to be displayed to the user
         */
        "errorMsg": string;
        /**
          * id attribute for the input element, this will be set automatically if it is not set by the developer
         */
        "inputId": string;
        /**
          * the label of the component, can also be inserted per slot
         */
        "label": string;
        /**
          * the maximum value that can be selected
         */
        "max": number;
        /**
          * the minimum value that can be selected
         */
        "min": number;
        /**
          * the name to be assigned to the range input
         */
        "name": string;
        /**
          * the step to give the range input element
         */
        "step": number | "any";
        /**
          * the default value to give to the imput, it defaults to the min value
         */
        "value": number;
    }
    interface UxRedirect {
        /**
          * time until the redirect should occur in seconds
         */
        "delay": number;
        /**
          * url string where the user should be redirected to
         */
        "url": string;
    }
    interface UxScrollToTopButton {
        /**
          * gives the button a square look
         */
        "square": boolean;
    }
    interface UxSelect {
        /**
          * indicates if the select component is disabled
         */
        "disabled": boolean;
        /**
          * indicates if the select component has an error state
         */
        "error": boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg": string;
        /**
          * label text describing the select component field
         */
        "label": string;
        /**
          * name of the select field
         */
        "name": string;
        /**
          * array of options
         */
        "options": UxOption[];
        /**
          * indicates if the select component is required
         */
        "required": boolean;
        /**
          * select id attribute
         */
        "selectId": string;
    }
    interface UxSlider {
        /**
          * Adds the slide passed as an argument to the slider.
         */
        "addSlide": (slide: Node | string, before?: boolean) => Promise<void>;
        /**
          * set the arrow navigation to be in the middle of the image, instead of the whole slider
         */
        "arrowsFollowImg": boolean | string;
        /**
          * if set, the height of the slider will be equal to the current visible slide
         */
        "autoHeight": boolean;
        /**
          * if set, the slider has autoplay on
         */
        "autoplay": boolean;
        /**
          * if set, the slider has autoplay on
         */
        "autoplayTime": number;
        /**
          * sets the custom breakpoint for large viewports
         */
        "breakpointL": number;
        /**
          * sets the custom breakpoint for medium viewports
         */
        "breakpointM": number;
        /**
          * sets the custom breakpoint for small viewports
         */
        "breakpointS": number;
        /**
          * additional classes that will be added to an inner div, used to set utility classes that will control the internal width of the slides
         */
        "containerClasses": string;
        /**
          * sets the inner container width for large viewports
         */
        "containerWidthL": string;
        /**
          * sets the inner container width for medium viewports
         */
        "containerWidthM": string;
        /**
          * sets the inner container width for small viewports
         */
        "containerWidthS": string;
        /**
          * sets the inner container width for XL viewports
         */
        "containerWidthXl": string;
        /**
          * slide transition effect: one of: "slide", "fade", "cube", "coverflow", "flip"
         */
        "effect": string;
        /**
          * if set, slider will be centered, with the addions of shadows on the sides to cut off excess slides on tablet viewports
         */
        "fadedSides": boolean;
        /**
          * if set, set the sliding to be infinite. Note This can cause issues with certain web-components. If you encounter such problems, disable loop.
         */
        "loop": boolean;
        /**
          * if set, the slider will have no navigation arrows
         */
        "noArrows": boolean;
        /**
          * if set, the swiping will be disabled for mouse drags
         */
        "noDrag": boolean;
        /**
          * the slider will pause when there the mouse hovers the slider
         */
        "pauseOnHover": boolean | string;
        /**
          * if set,slider will reinitialise itself on resize
         */
        "reinitOnResize": boolean;
        /**
          * Removes the slide that has the index specified as the argument from the slider
         */
        "removeSlide": (index: number) => Promise<void>;
        /**
          * go to next slide
         */
        "slideNext": () => Promise<void>;
        /**
          * go to previous slide
         */
        "slidePrev": () => Promise<void>;
        /**
          * if set, height of the slides will be alligned with the max height of the container
         */
        "slidesAutoHeight": boolean;
        /**
          * if set, the slides will have overflow visible, useful when the slides have outer shadow
         */
        "slidesOverflowVisible": boolean;
        /**
          * sets the slides per columns for large viewports
         */
        "slidesPerColumnL": number;
        /**
          * sets the slides per columns for medium viewports
         */
        "slidesPerColumnM": number;
        /**
          * sets the slides per columns for small viewports
         */
        "slidesPerColumnS": number;
        /**
          * sets the slides per columns for XL viewports
         */
        "slidesPerColumnXl": number;
        /**
          * sets the slides per group of for large viewports
         */
        "slidesPerGroupL": number;
        /**
          * sets the slides per group for medium viewports
         */
        "slidesPerGroupM": number;
        /**
          * sets the slides per group for small viewports
         */
        "slidesPerGroupS": number;
        /**
          * sets the slides per group of for xl viewports
         */
        "slidesPerGroupXl": number;
        /**
          * sets the space between slides for large viewports
         */
        "spaceBetweenL": number;
        /**
          * sets the space between slides for medium viewports
         */
        "spaceBetweenM": number;
        /**
          * sets the space between slides for small viewports
         */
        "spaceBetweenS": number;
        /**
          * sets the space between slides for XL viewports
         */
        "spaceBetweenXl": number;
        /**
          * the speed of the slide stransitions
         */
        "speed": number;
        /**
          * Update method to be used to reser and update the slider completely. It can receive an optional argument with valid swiper options. See Swiper API for more information of valid options.
         */
        "update": (additionalOptions?: {}) => Promise<void>;
        /**
          * Updates the number of slides per view of the slider it expects a number as argument
         */
        "updateSlidesPerView": (slidesPerView: number) => Promise<void>;
        /**
          * Updates the slider with the native update() method from swiper It works effectively only for minor updates (size, spacing etc.)
         */
        "updateSoft": () => Promise<void>;
        /**
          * sets the number of visible slides on large viewports
         */
        "visibleSlidesL": number | "auto";
        /**
          * sets the number of visible slides on medium viewports
         */
        "visibleSlidesM": number | "auto";
        /**
          * sets the number of visible slides on small viewports
         */
        "visibleSlidesS": number | "auto";
        /**
          * sets the number of visible slides on XL viewports
         */
        "visibleSlidesXl": number | "auto";
    }
    interface UxSliderPagination {
        /**
          * if set, the navigation will take the necessary styles to be the anchor navigation
         */
        "anchorPagination": boolean;
        /**
          * if set, the navigation will take the necessary styles to be the bottom navigation
         */
        "bottomPagination": boolean;
        /**
          * manages the pagination of custom slider types
         */
        "customPagination": string;
        /**
          * the unique id of the reference slider - this will be set automatically by the ux-slider
         */
        "sliderId": string;
        /**
          * if set, the navigation bullets will not have side arrows
         */
        "withoutArrows": boolean;
    }
    interface UxSliderSlide {
    }
    interface UxSpinnerOverlay {
        /**
          * Boolean to indicate if or not the spinner-overlay is currently opened
         */
        "opened": boolean;
    }
    interface UxStaticFilter {
        /**
          * the maximum number of items to show at any given time
         */
        "maxItemsToShow": number | undefined;
    }
    interface UxSteps {
        /**
          * this value is representing the current active step
         */
        "current": number;
        /**
          * this value is representing number of steps
         */
        "items": number;
    }
    interface UxStepsItem {
        /**
          * indictates if step is active
         */
        "current": boolean;
        /**
          * indicates if step is done
         */
        "done": boolean;
        /**
          * number to be shown in the circle
         */
        "number": number;
    }
    interface UxTab {
        /**
          * prop that will be set automatically by the ux-tab-container if it has the anchor-navigation prop. In this case, all tabs will be visible and  will be displayed one after the other
         */
        "anchorNavigation": boolean;
        /**
          * Sets the name for the corresponding tab-button
         */
        "name": string;
        /**
          * Sets ID for Tab
         */
        "tabId": string;
    }
    interface UxTabButton {
        /**
          * Contains the current active tab string
         */
        "activeTab": string;
        /**
          * Displays the label of the tab
         */
        "name": string;
        /**
          * Contains this tabs ID
         */
        "tabId": string;
    }
    interface UxTabContainer {
        /**
          * prop which holds the active tab id
         */
        "activeTabId": string;
        /**
          * pass in the desired justify-content flexbox value for the alignment of the tab buttons
         */
        "alignTabButtons": string;
        /**
          * if set, the tabs will act like an anchor navigation
         */
        "anchorNavigation": boolean;
        /**
          * if set, will fiix the tab header to the top of the screen upon scrolling past it
         */
        "fixToTop": boolean;
        /**
          * normally, if a "q" parameter is present in the url, the component will try to look for this q parameter value in the content of each tabs, and if a match is found, it will activate that tab. With this property set, the component will not perform any checking on the "q" parameter.
         */
        "ignoreSearchParameter": boolean;
        /**
          * when this is true, the tab navigation will not be displayed
         */
        "noNavigation": boolean;
        /**
          * if set, the page will scroll so that the tab-header is at the top if the page can be set either to true, and the target element will be the tab header, or a css selector can be used to define the scroll target elememt
         */
        "scrollWhenActivated": boolean | string;
        /**
          * id of the tab which will be active
         */
        "setActiveTab": (id: string, scroll?: boolean, direction?: Direction) => Promise<void>;
        /**
          * classes to be passed down to the tab-header div, to facilitate integration
         */
        "tabHeaderClasses": string;
    }
    interface UxTabSwitcher {
        /**
          * identifier of the targeted tab
         */
        "tabId": string;
    }
    interface UxTable {
        /**
          * zero-based index of the column that should be fixed on smaller viewports - defaults to the first col
         */
        "fixedColIndex": number;
        /**
          * the table should always be at least 100% wide
         */
        "fullWidth": boolean;
        /**
          * The link in the last column will be added into the fixed column on smaller viewports
         */
        "hasFixedLink": boolean;
        /**
          * maximum number of pixels that the fixed column is allowed to be wide
         */
        "maxFixedColWidth": number;
        /**
          * the table should sort its static data by itself. Do not use this if the data needs to be sorted by some logic (i.e. via an API)
         */
        "sortable": boolean;
    }
    interface UxTableSort {
        /**
          * This is the name to send when it should sort ascending
         */
        "ascName": string;
        /**
          * This is the name to send when it should sort descending
         */
        "descName": string;
        /**
          * indicates in which direction the data is already sorted. This has to be empty when it is not sorted yet. Setting this does not trigger the sorting event. Clicking the button will update this attribute.
         */
        "sortedDirection": "" | "asc" | "desc";
    }
    interface UxTag {
        /**
          * This connects the tag with the container
         */
        "reference": string;
        /**
          * If set to true, the tag is removed on click and a uxRemove event is fired
         */
        "removable": boolean;
    }
    interface UxTextareaField {
        /**
          * indicates if the textarea field is disabled
         */
        "disabled": boolean;
        /**
          * indicates if the textarea field has an error state
         */
        "error": boolean;
        /**
          * error message that is rendered if component has an error
         */
        "errorMsg": string;
        /**
          * label for the the textarea field
         */
        "label": string;
        /**
          * name of the textarea field
         */
        "name": string;
        /**
          * placeholder for the textarea field
         */
        "placeholder": string;
        /**
          * indicates if the textarea field is required
         */
        "required": boolean;
        /**
          * textarea id attribute
         */
        "textareaId": string;
        /**
          * value of the textarea element
         */
        "value": string;
    }
    interface UxToggleButton {
        /**
          * the component sets this to true when an error occurs while communicating with the API
         */
        "error": boolean;
        /**
          * name of icon to show when in state "off"
         */
        "iconOff": string;
        /**
          * name of icon to show when in state "on"
         */
        "iconOn": string;
        /**
          * is the toggle on or off
         */
        "on": boolean;
        /**
          * this id is used to identify similar toggleButtons to synchronise them
         */
        "syncId": string;
        /**
          * text to show on toggle button in "off" state (if used with icon it will be the title attribute)
         */
        "textOff": string;
        /**
          * text to show on toggle button in "on" state (if used with icon it will be the title attribute)
         */
        "textOn": string;
        /**
          * optional url to be called when the item should be toggled
         */
        "toggleUrl": string;
        /**
          * optional url to be called when the item should be untoggled (-> off), can be left empty if it is identical to toggleUrl
         */
        "untoggleUrl": string;
    }
    interface UxTooltip {
        /**
          * the desired alignment of the tooltip message
         */
        "align": "right" | "bottom" | "left" | "top";
        /**
          * set to true if the tooltip should be controlled from outside instead of handling UI events itself
         */
        "controlled": boolean;
        /**
          * hide/deactivate the tooltip
         */
        "hideTooltip": () => Promise<void>;
        /**
          * show/activate the tooltip
         */
        "showTooltip": () => Promise<void>;
        /**
          * the css selector of the tooltip target, tooltip and target have to have the same parent element
         */
        "tooltipTarget": string;
    }
    interface UxVideo {
        /**
          * if set, the video will preload on mobile viiewport as well
         */
        "alwaysPreload": boolean;
        /**
          * if set, does not display a the custom play button will be set automatically if on of the parents has the class "js-video-play-button-handler", meaning that the video has a custom overlay
         */
        "noCustomPlayButton": boolean;
    }
}
declare global {
    interface HTMLUxAccordionElement extends Components.UxAccordion, HTMLStencilElement {
    }
    var HTMLUxAccordionElement: {
        prototype: HTMLUxAccordionElement;
        new (): HTMLUxAccordionElement;
    };
    interface HTMLUxAutosuggestInputElement extends Components.UxAutosuggestInput, HTMLStencilElement {
    }
    var HTMLUxAutosuggestInputElement: {
        prototype: HTMLUxAutosuggestInputElement;
        new (): HTMLUxAutosuggestInputElement;
    };
    interface HTMLUxAutosuggestItemElement extends Components.UxAutosuggestItem, HTMLStencilElement {
    }
    var HTMLUxAutosuggestItemElement: {
        prototype: HTMLUxAutosuggestItemElement;
        new (): HTMLUxAutosuggestItemElement;
    };
    interface HTMLUxCheckboxElement extends Components.UxCheckbox, HTMLStencilElement {
    }
    var HTMLUxCheckboxElement: {
        prototype: HTMLUxCheckboxElement;
        new (): HTMLUxCheckboxElement;
    };
    interface HTMLUxCheckboxListItemElement extends Components.UxCheckboxListItem, HTMLStencilElement {
    }
    var HTMLUxCheckboxListItemElement: {
        prototype: HTMLUxCheckboxListItemElement;
        new (): HTMLUxCheckboxListItemElement;
    };
    interface HTMLUxCheckboxTileElement extends Components.UxCheckboxTile, HTMLStencilElement {
    }
    var HTMLUxCheckboxTileElement: {
        prototype: HTMLUxCheckboxTileElement;
        new (): HTMLUxCheckboxTileElement;
    };
    interface HTMLUxCollapsibleElement extends Components.UxCollapsible, HTMLStencilElement {
    }
    var HTMLUxCollapsibleElement: {
        prototype: HTMLUxCollapsibleElement;
        new (): HTMLUxCollapsibleElement;
    };
    interface HTMLUxCopyToClipboardElement extends Components.UxCopyToClipboard, HTMLStencilElement {
    }
    var HTMLUxCopyToClipboardElement: {
        prototype: HTMLUxCopyToClipboardElement;
        new (): HTMLUxCopyToClipboardElement;
    };
    interface HTMLUxCountryIconElement extends Components.UxCountryIcon, HTMLStencilElement {
    }
    var HTMLUxCountryIconElement: {
        prototype: HTMLUxCountryIconElement;
        new (): HTMLUxCountryIconElement;
    };
    interface HTMLUxDataIngestElement extends Components.UxDataIngest, HTMLStencilElement {
    }
    var HTMLUxDataIngestElement: {
        prototype: HTMLUxDataIngestElement;
        new (): HTMLUxDataIngestElement;
    };
    interface HTMLUxDatePickerElement extends Components.UxDatePicker, HTMLStencilElement {
    }
    var HTMLUxDatePickerElement: {
        prototype: HTMLUxDatePickerElement;
        new (): HTMLUxDatePickerElement;
    };
    interface HTMLUxDateRangePickerElement extends Components.UxDateRangePicker, HTMLStencilElement {
    }
    var HTMLUxDateRangePickerElement: {
        prototype: HTMLUxDateRangePickerElement;
        new (): HTMLUxDateRangePickerElement;
    };
    interface HTMLUxDateTimeElement extends Components.UxDateTime, HTMLStencilElement {
    }
    var HTMLUxDateTimeElement: {
        prototype: HTMLUxDateTimeElement;
        new (): HTMLUxDateTimeElement;
    };
    interface HTMLUxDirectSearchboxElement extends Components.UxDirectSearchbox, HTMLStencilElement {
    }
    var HTMLUxDirectSearchboxElement: {
        prototype: HTMLUxDirectSearchboxElement;
        new (): HTMLUxDirectSearchboxElement;
    };
    interface HTMLUxDropdownElement extends Components.UxDropdown, HTMLStencilElement {
    }
    var HTMLUxDropdownElement: {
        prototype: HTMLUxDropdownElement;
        new (): HTMLUxDropdownElement;
    };
    interface HTMLUxFileUploadElement extends Components.UxFileUpload, HTMLStencilElement {
    }
    var HTMLUxFileUploadElement: {
        prototype: HTMLUxFileUploadElement;
        new (): HTMLUxFileUploadElement;
    };
    interface HTMLUxFileUploadThumbnailElement extends Components.UxFileUploadThumbnail, HTMLStencilElement {
    }
    var HTMLUxFileUploadThumbnailElement: {
        prototype: HTMLUxFileUploadThumbnailElement;
        new (): HTMLUxFileUploadThumbnailElement;
    };
    interface HTMLUxFilterElement extends Components.UxFilter, HTMLStencilElement {
    }
    var HTMLUxFilterElement: {
        prototype: HTMLUxFilterElement;
        new (): HTMLUxFilterElement;
    };
    interface HTMLUxFormGroupElement extends Components.UxFormGroup, HTMLStencilElement {
    }
    var HTMLUxFormGroupElement: {
        prototype: HTMLUxFormGroupElement;
        new (): HTMLUxFormGroupElement;
    };
    interface HTMLUxIconElement extends Components.UxIcon, HTMLStencilElement {
    }
    var HTMLUxIconElement: {
        prototype: HTMLUxIconElement;
        new (): HTMLUxIconElement;
    };
    interface HTMLUxInfiniteScrollSensorElement extends Components.UxInfiniteScrollSensor, HTMLStencilElement {
    }
    var HTMLUxInfiniteScrollSensorElement: {
        prototype: HTMLUxInfiniteScrollSensorElement;
        new (): HTMLUxInfiniteScrollSensorElement;
    };
    interface HTMLUxInputFieldElement extends Components.UxInputField, HTMLStencilElement {
    }
    var HTMLUxInputFieldElement: {
        prototype: HTMLUxInputFieldElement;
        new (): HTMLUxInputFieldElement;
    };
    interface HTMLUxListElement extends Components.UxList, HTMLStencilElement {
    }
    var HTMLUxListElement: {
        prototype: HTMLUxListElement;
        new (): HTMLUxListElement;
    };
    interface HTMLUxMessageBoxElement extends Components.UxMessageBox, HTMLStencilElement {
    }
    var HTMLUxMessageBoxElement: {
        prototype: HTMLUxMessageBoxElement;
        new (): HTMLUxMessageBoxElement;
    };
    interface HTMLUxModalElement extends Components.UxModal, HTMLStencilElement {
    }
    var HTMLUxModalElement: {
        prototype: HTMLUxModalElement;
        new (): HTMLUxModalElement;
    };
    interface HTMLUxModalContentElement extends Components.UxModalContent, HTMLStencilElement {
    }
    var HTMLUxModalContentElement: {
        prototype: HTMLUxModalContentElement;
        new (): HTMLUxModalContentElement;
    };
    interface HTMLUxModalFooterElement extends Components.UxModalFooter, HTMLStencilElement {
    }
    var HTMLUxModalFooterElement: {
        prototype: HTMLUxModalFooterElement;
        new (): HTMLUxModalFooterElement;
    };
    interface HTMLUxNumberInputElement extends Components.UxNumberInput, HTMLStencilElement {
    }
    var HTMLUxNumberInputElement: {
        prototype: HTMLUxNumberInputElement;
        new (): HTMLUxNumberInputElement;
    };
    interface HTMLUxPhoneInputElement extends Components.UxPhoneInput, HTMLStencilElement {
    }
    var HTMLUxPhoneInputElement: {
        prototype: HTMLUxPhoneInputElement;
        new (): HTMLUxPhoneInputElement;
    };
    interface HTMLUxRadioButtonElement extends Components.UxRadioButton, HTMLStencilElement {
    }
    var HTMLUxRadioButtonElement: {
        prototype: HTMLUxRadioButtonElement;
        new (): HTMLUxRadioButtonElement;
    };
    interface HTMLUxRadioListItemElement extends Components.UxRadioListItem, HTMLStencilElement {
    }
    var HTMLUxRadioListItemElement: {
        prototype: HTMLUxRadioListItemElement;
        new (): HTMLUxRadioListItemElement;
    };
    interface HTMLUxRangeInputElement extends Components.UxRangeInput, HTMLStencilElement {
    }
    var HTMLUxRangeInputElement: {
        prototype: HTMLUxRangeInputElement;
        new (): HTMLUxRangeInputElement;
    };
    interface HTMLUxRedirectElement extends Components.UxRedirect, HTMLStencilElement {
    }
    var HTMLUxRedirectElement: {
        prototype: HTMLUxRedirectElement;
        new (): HTMLUxRedirectElement;
    };
    interface HTMLUxScrollToTopButtonElement extends Components.UxScrollToTopButton, HTMLStencilElement {
    }
    var HTMLUxScrollToTopButtonElement: {
        prototype: HTMLUxScrollToTopButtonElement;
        new (): HTMLUxScrollToTopButtonElement;
    };
    interface HTMLUxSelectElement extends Components.UxSelect, HTMLStencilElement {
    }
    var HTMLUxSelectElement: {
        prototype: HTMLUxSelectElement;
        new (): HTMLUxSelectElement;
    };
    interface HTMLUxSliderElement extends Components.UxSlider, HTMLStencilElement {
    }
    var HTMLUxSliderElement: {
        prototype: HTMLUxSliderElement;
        new (): HTMLUxSliderElement;
    };
    interface HTMLUxSliderPaginationElement extends Components.UxSliderPagination, HTMLStencilElement {
    }
    var HTMLUxSliderPaginationElement: {
        prototype: HTMLUxSliderPaginationElement;
        new (): HTMLUxSliderPaginationElement;
    };
    interface HTMLUxSliderSlideElement extends Components.UxSliderSlide, HTMLStencilElement {
    }
    var HTMLUxSliderSlideElement: {
        prototype: HTMLUxSliderSlideElement;
        new (): HTMLUxSliderSlideElement;
    };
    interface HTMLUxSpinnerOverlayElement extends Components.UxSpinnerOverlay, HTMLStencilElement {
    }
    var HTMLUxSpinnerOverlayElement: {
        prototype: HTMLUxSpinnerOverlayElement;
        new (): HTMLUxSpinnerOverlayElement;
    };
    interface HTMLUxStaticFilterElement extends Components.UxStaticFilter, HTMLStencilElement {
    }
    var HTMLUxStaticFilterElement: {
        prototype: HTMLUxStaticFilterElement;
        new (): HTMLUxStaticFilterElement;
    };
    interface HTMLUxStepsElement extends Components.UxSteps, HTMLStencilElement {
    }
    var HTMLUxStepsElement: {
        prototype: HTMLUxStepsElement;
        new (): HTMLUxStepsElement;
    };
    interface HTMLUxStepsItemElement extends Components.UxStepsItem, HTMLStencilElement {
    }
    var HTMLUxStepsItemElement: {
        prototype: HTMLUxStepsItemElement;
        new (): HTMLUxStepsItemElement;
    };
    interface HTMLUxTabElement extends Components.UxTab, HTMLStencilElement {
    }
    var HTMLUxTabElement: {
        prototype: HTMLUxTabElement;
        new (): HTMLUxTabElement;
    };
    interface HTMLUxTabButtonElement extends Components.UxTabButton, HTMLStencilElement {
    }
    var HTMLUxTabButtonElement: {
        prototype: HTMLUxTabButtonElement;
        new (): HTMLUxTabButtonElement;
    };
    interface HTMLUxTabContainerElement extends Components.UxTabContainer, HTMLStencilElement {
    }
    var HTMLUxTabContainerElement: {
        prototype: HTMLUxTabContainerElement;
        new (): HTMLUxTabContainerElement;
    };
    interface HTMLUxTabSwitcherElement extends Components.UxTabSwitcher, HTMLStencilElement {
    }
    var HTMLUxTabSwitcherElement: {
        prototype: HTMLUxTabSwitcherElement;
        new (): HTMLUxTabSwitcherElement;
    };
    interface HTMLUxTableElement extends Components.UxTable, HTMLStencilElement {
    }
    var HTMLUxTableElement: {
        prototype: HTMLUxTableElement;
        new (): HTMLUxTableElement;
    };
    interface HTMLUxTableSortElement extends Components.UxTableSort, HTMLStencilElement {
    }
    var HTMLUxTableSortElement: {
        prototype: HTMLUxTableSortElement;
        new (): HTMLUxTableSortElement;
    };
    interface HTMLUxTagElement extends Components.UxTag, HTMLStencilElement {
    }
    var HTMLUxTagElement: {
        prototype: HTMLUxTagElement;
        new (): HTMLUxTagElement;
    };
    interface HTMLUxTextareaFieldElement extends Components.UxTextareaField, HTMLStencilElement {
    }
    var HTMLUxTextareaFieldElement: {
        prototype: HTMLUxTextareaFieldElement;
        new (): HTMLUxTextareaFieldElement;
    };
    interface HTMLUxToggleButtonElement extends Components.UxToggleButton, HTMLStencilElement {
    }
    var HTMLUxToggleButtonElement: {
        prototype: HTMLUxToggleButtonElement;
        new (): HTMLUxToggleButtonElement;
    };
    interface HTMLUxTooltipElement extends Components.UxTooltip, HTMLStencilElement {
    }
    var HTMLUxTooltipElement: {
        prototype: HTMLUxTooltipElement;
        new (): HTMLUxTooltipElement;
    };
    interface HTMLUxVideoElement extends Components.UxVideo, HTMLStencilElement {
    }
    var HTMLUxVideoElement: {
        prototype: HTMLUxVideoElement;
        new (): HTMLUxVideoElement;
    };
    interface HTMLElementTagNameMap {
        "ux-accordion": HTMLUxAccordionElement;
        "ux-autosuggest-input": HTMLUxAutosuggestInputElement;
        "ux-autosuggest-item": HTMLUxAutosuggestItemElement;
        "ux-checkbox": HTMLUxCheckboxElement;
        "ux-checkbox-list-item": HTMLUxCheckboxListItemElement;
        "ux-checkbox-tile": HTMLUxCheckboxTileElement;
        "ux-collapsible": HTMLUxCollapsibleElement;
        "ux-copy-to-clipboard": HTMLUxCopyToClipboardElement;
        "ux-country-icon": HTMLUxCountryIconElement;
        "ux-data-ingest": HTMLUxDataIngestElement;
        "ux-date-picker": HTMLUxDatePickerElement;
        "ux-date-range-picker": HTMLUxDateRangePickerElement;
        "ux-date-time": HTMLUxDateTimeElement;
        "ux-direct-searchbox": HTMLUxDirectSearchboxElement;
        "ux-dropdown": HTMLUxDropdownElement;
        "ux-file-upload": HTMLUxFileUploadElement;
        "ux-file-upload-thumbnail": HTMLUxFileUploadThumbnailElement;
        "ux-filter": HTMLUxFilterElement;
        "ux-form-group": HTMLUxFormGroupElement;
        "ux-icon": HTMLUxIconElement;
        "ux-infinite-scroll-sensor": HTMLUxInfiniteScrollSensorElement;
        "ux-input-field": HTMLUxInputFieldElement;
        "ux-list": HTMLUxListElement;
        "ux-message-box": HTMLUxMessageBoxElement;
        "ux-modal": HTMLUxModalElement;
        "ux-modal-content": HTMLUxModalContentElement;
        "ux-modal-footer": HTMLUxModalFooterElement;
        "ux-number-input": HTMLUxNumberInputElement;
        "ux-phone-input": HTMLUxPhoneInputElement;
        "ux-radio-button": HTMLUxRadioButtonElement;
        "ux-radio-list-item": HTMLUxRadioListItemElement;
        "ux-range-input": HTMLUxRangeInputElement;
        "ux-redirect": HTMLUxRedirectElement;
        "ux-scroll-to-top-button": HTMLUxScrollToTopButtonElement;
        "ux-select": HTMLUxSelectElement;
        "ux-slider": HTMLUxSliderElement;
        "ux-slider-pagination": HTMLUxSliderPaginationElement;
        "ux-slider-slide": HTMLUxSliderSlideElement;
        "ux-spinner-overlay": HTMLUxSpinnerOverlayElement;
        "ux-static-filter": HTMLUxStaticFilterElement;
        "ux-steps": HTMLUxStepsElement;
        "ux-steps-item": HTMLUxStepsItemElement;
        "ux-tab": HTMLUxTabElement;
        "ux-tab-button": HTMLUxTabButtonElement;
        "ux-tab-container": HTMLUxTabContainerElement;
        "ux-tab-switcher": HTMLUxTabSwitcherElement;
        "ux-table": HTMLUxTableElement;
        "ux-table-sort": HTMLUxTableSortElement;
        "ux-tag": HTMLUxTagElement;
        "ux-textarea-field": HTMLUxTextareaFieldElement;
        "ux-toggle-button": HTMLUxToggleButtonElement;
        "ux-tooltip": HTMLUxTooltipElement;
        "ux-video": HTMLUxVideoElement;
    }
}
declare namespace LocalJSX {
    interface UxAccordion {
        /**
          * The class to be passes to the title of the accordion when it becomes active
         */
        "activeTitleClass"?: string;
        /**
          * the amount in pixels from wich the accordion functionality is deactivated
         */
        "noAccordionFrom"?: number | null;
        /**
          * If a click event is detected on this selector, the accordion will not trigger
         */
        "noClickSelector"?: string;
    }
    interface UxAutosuggestInput {
        /**
          * indicates if the autosuggest input is disabled
         */
        "disabled"?: boolean;
        /**
          * indicates if the autosuggest input has an error
         */
        "error"?: boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg"?: string | null;
        /**
          * id attribute for input. A unique id will be generated if this is empty
         */
        "inputId"?: string;
        /**
          * label for input
         */
        "label"?: string;
        /**
          * name attribute for input
         */
        "name"?: string;
        /**
          * placeholder text for input
         */
        "placeholder"?: string;
        /**
          * indicates if the autosuggest input is required
         */
        "required"?: boolean;
        /**
          * URL for autosuggest-API
         */
        "url"?: string;
    }
    interface UxAutosuggestItem {
        /**
          * optional image URL
         */
        "image"?: string;
        /**
          * search query that will be highlighted in the text
         */
        "input"?: string;
        /**
          * subline below the text
         */
        "subline"?: string;
        /**
          * suggestion text that matches the input
         */
        "text"?: string;
    }
    interface UxCheckbox {
        /**
          * indicates if the checkbox is checked
         */
        "checked"?: boolean;
        /**
          * indicates if the checkbox is disabled
         */
        "disabled"?: boolean;
        /**
          * indicates if the checkbox has an error state
         */
        "error"?: boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg"?: string | null;
        /**
          * Input id attribute
         */
        "inputId"?: string;
        /**
          * text inside the checkbox label element, visible to the user
         */
        "label"?: string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name"?: string;
        /**
          * to be set if the checkbox should not have content inside the label
         */
        "noLabel"?: boolean;
        /**
          * checkbox event, includes checked status, inputId and input name
         */
        "onUxCheckboxChange"?: (event: CustomEvent<any>) => void;
        /**
          * indicates if the checkbox is required
         */
        "required"?: boolean;
        /**
          * value of the input element, not visible to the user
         */
        "value"?: string;
    }
    interface UxCheckboxListItem {
        /**
          * indicates if the checkbox is checked
         */
        "checked"?: boolean;
        /**
          * indicates if the checkbox is disabled
         */
        "disabled"?: boolean;
        /**
          * This is the label that is displayed for this item inside the dropdown
         */
        "label"?: string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name"?: string;
        "onUxCheckboxListItemChange"?: (event: CustomEvent<any>) => void;
        /**
          * this value is used on the checkbox inside this item
         */
        "value"?: string;
    }
    interface UxCheckboxTile {
        /**
          * alt image tag
         */
        "imageAlt"?: string;
        /**
          * the image url for the media element of the checkbox
         */
        "imgSrc"?: string;
        /**
          * optional lazyloading of images
         */
        "lazyload"?: boolean;
        /**
          * optional text of the tag
         */
        "tag"?: string;
        /**
          * color of the tag
         */
        "tagColor"?: "warning" | "info";
    }
    interface UxCollapsible {
        /**
          * the toggle button text in default collapsed state
         */
        "buttonTextCollapsed"?: string;
        /**
          * the toggle button text in expanded state
         */
        "buttonTextExpanded"?: string;
        /**
          * toggle expanded state
         */
        "isExpanded"?: boolean;
        /**
          * fired when the collapsible is expanded or collapsed
         */
        "onUxCollapsibleExpanded"?: (event: CustomEvent<boolean>) => void;
    }
    interface UxCopyToClipboard {
        /**
          * Default icon
         */
        "clickToCopyIcon"?: string;
        /**
          * Icon shown after copy link was clicked
         */
        "clickToCopyIconSuccessful"?: string;
        /**
          * Default message which indicates link is copyable
         */
        "clickToCopyMessage"?: string;
        /**
          * Message which gets shown after clicking the copy link
         */
        "clickToCopyMessageSuccessful"?: string;
        /**
          * Setting wether link to be copied is hidden
         */
        "hideTextToCopy"?: boolean;
        /**
          * Link which can be copied
         */
        "textToCopy"?: string;
    }
    interface UxCountryIcon {
        /**
          * Country code (ISO-2)
         */
        "country"?: string;
        /**
          * Size of the icon
         */
        "size"?: "s" | "m" | "l";
    }
    interface UxDataIngest {
        /**
          * Is fired when a request is sent with the name of the property
         */
        "onUxStartRequest"?: (event: CustomEvent<string>) => void;
    }
    interface UxDatePicker {
        /**
          * The currently active month (0-11)
         */
        "activeMonth"?: number;
        /**
          * The currently active year (YYYY)
         */
        "activeYear"?: number;
        /**
          * Format of the date value
         */
        "dateFormat"?: string;
        /**
          * Flag that controls if the field is disabled
         */
        "disabled"?: boolean;
        /**
          * Indicates an invalid date
         */
        "error"?: boolean;
        /**
          * Error message that is rendered in invalid state
         */
        "errorMsg"?: string | null;
        /**
          * The weekday the calendar starts with (0=sunday, 1=monday, 6=saturday)
         */
        "firstWeekday"?: number;
        /**
          * Initial date, formatted according dateFormat pattern
         */
        "initialValue"?: string;
        /**
          * Input id attribute
         */
        "inputId"?: string;
        /**
          * Controls the appearance of the control
         */
        "kind"?: "default" | "form";
        /**
          * Label text describing the input field
         */
        "label"?: string;
        /**
          * The language in which texts are displayed
         */
        "language"?: string;
        /**
          * Optionally, the date can be restricted to a maximum value (YYYY-MM-DD)
         */
        "maxDate"?: string;
        /**
          * Optionally, the date can be restricted to a minimum value (YYYY-MM-DD)
         */
        "minDate"?: string;
        /**
          * Input name attribute
         */
        "name"?: string;
        /**
          * Emitted when hovering a calendar day
         */
        "onUxDateHover"?: (event: CustomEvent<{ name: string; value: string }>) => void;
        /**
          * Emitted when a date is selected
         */
        "onUxDateSelect"?: (event: CustomEvent<{ name: string; value: string }>) => void;
        /**
          * Input placeholder text
         */
        "placeholder"?: string;
        /**
          * Optional range end date (YYYY-MM-DD)
         */
        "rangeEnd"?: string;
        /**
          * Optional range start date (YYYY-MM-DD)
         */
        "rangeStart"?: string;
        /**
          * Indicates if the field is mandatory
         */
        "required"?: boolean;
        /**
          * Label for the reset button
         */
        "resetText"?: string;
        /**
          * Label for the today button
         */
        "todayText"?: string;
    }
    interface UxDateRangePicker {
        /**
          * Format of the date value
         */
        "dateFormat"?: string;
        /**
          * Flag that controls if the field is disabled
         */
        "disabled"?: boolean;
        /**
          * Error message that is rendered in invalid state
         */
        "errorMsg"?: string | null;
        /**
          * The weekday the calendar starts with (0=sunday, 1=monday, 6=saturday)
         */
        "firstWeekday"?: number;
        /**
          * Input id attribute
         */
        "inputId"?: string;
        /**
          * Controls the appearance of the control
         */
        "kind"?: "default" | "form";
        /**
          * The language in which texts are displayed
         */
        "language"?: string;
        /**
          * Optionally, the date can be restricted to a maximum value (YYYY-MM-DD)
         */
        "maxDate"?: string;
        /**
          * Optionally, the date can be restricted to a minimum value (YYYY-MM-DD)
         */
        "minDate"?: string;
        /**
          * the input placeholder text
         */
        "placeholder"?: string;
        /**
          * Indicates an invalid end date
         */
        "rangeEndError"?: boolean;
        /**
          * Error message for the range end field
         */
        "rangeEndErrorMsg"?: string | null;
        /**
          * Label text for the range end field
         */
        "rangeEndLabel"?: string;
        /**
          * Name for the range end input
         */
        "rangeEndName"?: string;
        /**
          * Flag that controls if the range end is mandatory
         */
        "rangeEndRequired"?: boolean;
        /**
          * Initial range end date (YYYY-MM-DD)
         */
        "rangeEndValue"?: string;
        /**
          * Indicates an invalid end date
         */
        "rangeStartError"?: boolean;
        /**
          * Error message for the range start field
         */
        "rangeStartErrorMsg"?: string | null;
        /**
          * Label text for the range end field
         */
        "rangeStartLabel"?: string;
        /**
          * Name for the range start input
         */
        "rangeStartName"?: string;
        /**
          * Flag that controls if the range start is mandatory
         */
        "rangeStartRequired"?: boolean;
        /**
          * Initial range start date (YYYY-MM-DD)
         */
        "rangeStartValue"?: string;
        /**
          * Label for the reset button
         */
        "resetText"?: string;
        /**
          * Label for the today button
         */
        "todayText"?: string;
    }
    interface UxDateTime {
        /**
          * Format String according to https://day.js.org/docs/en/display/format example: "DD.MM.YYYY HH:mm". You can escape characters by wrapping them in []. For now this webcomponent displays localized parts in a date like "Monday" only in English
         */
        "format"?: string;
        /**
          * UTC time in a ISO_8601 Format https://en.wikipedia.org/wiki/ISO_8601 example: 2020-05-20 17:32:33
         */
        "utc"?: string;
    }
    interface UxDirectSearchbox {
        /**
          * the submit button label
         */
        "buttonText"?: string;
        /**
          * flag that controls if the searchbox is disabled
         */
        "disabled"?: boolean;
        /**
          * flag that indicates that the search api has responded with an error
         */
        "error"?: boolean;
        /**
          * an error message which is rendered in error state
         */
        "errorMsg"?: string | null;
        /**
          * an optional unique id for the input element
         */
        "inputId"?: string;
        /**
          * the input label text
         */
        "label"?: string;
        /**
          * the input name
         */
        "name"?: string;
        /**
          * flag that indicates a pending search request
         */
        "pending"?: boolean;
        /**
          * the input placeholder text
         */
        "placeholder"?: string;
        /**
          * the API endpoint from which data is requested
         */
        "url"?: string;
    }
    interface UxDropdown {
        /**
          * This toggles the text-input to filter the dropdown items
         */
        "filterable"?: boolean;
        /**
          * Text displayed on the Dropdown
          * @deprecated since version 2.13.2, use "placeholder" insead
         */
        "label"?: string;
        /**
          * Name Identifies the dropdown in a bigger context (for example in forms, filters)
         */
        "name"?: string;
        /**
          * Set parent container to calculate max width of dropdown and activating scrollbar overflow if necessary
         */
        "parentContainerSelector"?: string;
        /**
          * Text displayed inside the Dropdown
         */
        "placeholder"?: string;
        /**
          * The placeholder string for the search field
         */
        "searchPlaceholder"?: string;
    }
    interface UxFileUpload {
        /**
          * Accepted file types in comma separated list of mime types or file extensions
         */
        "acceptedFiles"?: string;
        /**
          * indicates if the file upload is disabled
         */
        "disabled"?: boolean;
        /**
          * indicates if the file upload has an error state. Use error attribute only for static error rendering.
         */
        "error"?: boolean;
        /**
          * generic error message to be displayed
         */
        "errorMsg"?: string;
        /**
          * the name to be given to the file inputs
         */
        "inputName"?: string;
        /**
          * Label text describing the file upload field
         */
        "label"?: string;
        /**
          * The maximum upload file size in MB
         */
        "maxFileSize"?: number;
        /**
          * Option to send multiple files in one request
         */
        "maxFiles"?: number;
        /**
          * Message invalid file extension
         */
        "messageInvalidFile"?: string;
        /**
          * Message Upload limit reached
         */
        "messageMaxFileSize"?: string;
        /**
          * Message Upload limit reached
         */
        "messageMaxFilesReached"?: string;
        /**
          * Generic message upload failed
         */
        "messageUploadFailed"?: string;
        /**
          * indicates if the file upload is required
         */
        "required"?: boolean;
    }
    interface UxFileUploadThumbnail {
        /**
          * the fileitself to render an image thumbnail
         */
        "file"?: File | null;
        /**
          * the data-file-input-id of the associated file input
         */
        "fileInputId"?: string;
        /**
          * the file name of the associated file
         */
        "fileName"?: string;
        /**
          * the file type of the associated file
         */
        "fileType"?: string;
        "onUxFileUploadDelete"?: (event: CustomEvent<any>) => void;
    }
    interface UxFilter {
        /**
          * This is a URL to a JSON API.
         */
        "endpoint"?: string;
        /**
          * is triggered when any input inside the filter was changed
         */
        "onUxFilterChange"?: (event: CustomEvent<any>) => void;
    }
    interface UxFormGroup {
        /**
          * indicates if the form group has an error state
         */
        "error"?: boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg"?: string;
        /**
          * label text describing the form fields
         */
        "label"?: string;
        /**
          * utility classes to be assigned to the label element
         */
        "labelClasses"?: string;
        /**
          * indicates if the form group is required
         */
        "required"?: boolean;
    }
    interface UxIcon {
        /**
          * property to change the color of the icon, supported colors: green, white, black
         */
        "fill"?: string;
        /**
          * name of icon
         */
        "name"?: string;
        /**
          * the size of the icon on desktop viewports
         */
        "sizeL"?: number | null;
        /**
          * the size of the icon on tablet viewports
         */
        "sizeM"?: number | null;
        /**
          * the size of the icon on mobile viewports
         */
        "sizeS"?: number | null;
    }
    interface UxInfiniteScrollSensor {
        /**
          * is true after the event was fired. This prevents the event from firing again. set this to false to re-enable the event
         */
        "hasFired"?: boolean;
        /**
          * this name will also be in the event
         */
        "name"?: string;
        /**
          * is called when it is scrolled into view
         */
        "onUxInfiniteScrollSensorScrolledIntoView"?: (event: CustomEvent<any>) => void;
    }
    interface UxInputField {
        /**
          * indicates if the input field is disabled
         */
        "disabled"?: boolean;
        /**
          * indicates if the input field has an error state
         */
        "error"?: boolean;
        /**
          * error message that is rendered if component has an error
         */
        "errorMsg"?: string;
        /**
          * input id attribute
         */
        "inputId"?: string;
        /**
          * label for the the input field
         */
        "label"?: string;
        /**
          * name of the input field
         */
        "name"?: string;
        /**
          * event emitted on input change, deliveres an object with keys: currentValue, inputName and inputId
         */
        "onUxInputChange"?: (event: CustomEvent<any>) => void;
        /**
          * placeholder for the input field
         */
        "placeholder"?: string;
        /**
          * indicates if the input field is required
         */
        "required"?: boolean;
        /**
          * type of the input field
         */
        "type"?: string;
        /**
          * value of the input element
         */
        "value"?: string;
    }
    interface UxList {
        /**
          * enables the search field inside the list
         */
        "filterable"?: boolean;
        /**
          * The placeholder string for the search field
         */
        "searchPlaceholder"?: string;
    }
    interface UxMessageBox {
        /**
          * headline text
         */
        "headline"?: string;
        /**
          * icon - set empty string to omit the icon
         */
        "icon"?: string;
        /**
          * icon size with unit
         */
        "iconSize"?: string;
        /**
          * intro text that is displayed above the headline
         */
        "intro"?: string;
        /**
          * do not show the close button
         */
        "noCloseButton"?: boolean;
        /**
          * Emitted before the actual redirect takes place, includes the URL, can be cancelled
         */
        "onUxMessageClose"?: (event: CustomEvent<HTMLUxMessageBoxElement>) => void;
        /**
          * message box type. Possible values are `error`,`info`,`warning` and `success`
         */
        "type"?: MessageType;
    }
    interface UxModal {
        /**
          * The label of the close button
         */
        "closeButtonText"?: string;
        /**
          * If present, uxModalClose event is emitted when the backdrop is clicked *
         */
        "closeOnBackdropClick"?: boolean;
        /**
          * If present, uxModalClose event is emitted when escape key is pressed *
         */
        "closeOnEscKey"?: boolean;
        /**
          * Set the name of the modal
         */
        "name"?: string;
        /**
          * Disables the close button in the top corner
         */
        "noCloseButton"?: boolean;
        /**
          * Emitted when the modal is closed
         */
        "onUxModalClose"?: (event: CustomEvent<string>) => void;
        /**
          * Emitted when the modal is opened
         */
        "onUxModalOpen"?: (event: CustomEvent<string>) => void;
        /**
          * Boolean to indicate if or not the modal is currently opened
         */
        "opened"?: boolean;
        /**
          * Set the priority of the modal as integer between 1 and 10 - lower numbers have a higher importance
         */
        "priority"?: number;
        /**
          * reloads the page when the modal is closed
         */
        "reloadOnClose"?: boolean;
        /**
          * At which vertical position should the maodal be docked *
         */
        "stickyPosition"?: "center" | "bottom" | "top";
    }
    interface UxModalContent {
    }
    interface UxModalFooter {
    }
    interface UxNumberInput {
        /**
          * indicates if the number input is disabled
         */
        "disabled"?: boolean;
        /**
          * indicates if the number input has an error state
         */
        "error"?: boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg"?: string | null;
        /**
          * initial value for the input
         */
        "initialValue"?: string;
        /**
          * id attribute for the input element, this will be set automatically if it is not set by the developer
         */
        "inputId"?: string;
        /**
          * Label text describing the number input field
         */
        "label"?: string;
        /**
          * max value
         */
        "max"?: string;
        /**
          * min value
         */
        "min"?: string;
        /**
          * name attribute for the input
         */
        "name"?: string;
        /**
          * indicates if the number input is required
         */
        "required"?: boolean;
        /**
          * size of increment/decrement for the plus/minus button
         */
        "step"?: string;
    }
    interface UxPhoneInput {
        /**
          * Default or detected phone number country code (ISO-2)
         */
        "country"?: string;
        /**
          * List of country codes to display in the country dropdown (comma-separated, uppercase, e.g. "DE,FR,CN,IT,US"). If unset or empty, all available countries are shown.
         */
        "countryOptions"?: string;
        /**
          * Indicates that the field is disabled
         */
        "disabled"?: boolean;
        /**
          * Indicates an invalid value. If set to true, an optional errorMsg is shown.
         */
        "error"?: boolean;
        /**
          * Error message text that is rendered in error state
         */
        "errorMsg"?: string;
        /**
          * @deprecated Initial value for the input - this can be replaced with value
         */
        "initialValue"?: string;
        /**
          * Used for the input id
         */
        "inputId"?: string;
        /**
          * Used to render an input label
         */
        "label"?: string;
        /**
          * Language in which country names should be displayed
         */
        "language"?: string;
        /**
          * Used for the input name
         */
        "name"?: string;
        /**
          * Indicates that the field is mandatory
         */
        "required"?: boolean;
        /**
          * value for the input
         */
        "value"?: string;
    }
    interface UxRadioButton {
        /**
          * indicates if the radio button is checked
         */
        "checked"?: boolean;
        /**
          * indicates if the radio button is disabled
         */
        "disabled"?: boolean;
        /**
          * indicates if the radio button has an error state
         */
        "error"?: boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg"?: string | null;
        /**
          * Input id attribute
         */
        "inputId"?: string;
        /**
          * text inside the radio button label element, visible to the user
         */
        "label"?: string;
        /**
          * name which is used for radio button groups or as identifier in forms
         */
        "name"?: string;
        /**
          * radio button event, will be emitted when the radio button becomes active
         */
        "onUxRadioButtonChange"?: (event: CustomEvent<any>) => void;
        /**
          * indicates if the radio button is required
         */
        "required"?: boolean;
        /**
          * value of the input element, not visible to the user
         */
        "value"?: string;
    }
    interface UxRadioListItem {
        /**
          * indicates if the radio button is checked
         */
        "checked"?: boolean;
        /**
          * indicates if the radio button is disabled
         */
        "disabled"?: boolean;
        /**
          * This is the label that is displayed for this item inside the dropdown
         */
        "label"?: string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name"?: string;
        "onUxRadioListItemChange"?: (event: CustomEvent<any>) => void;
        /**
          * this value is used on the checkbox inside this item
         */
        "value"?: string;
    }
    interface UxRangeInput {
        /**
          * if set, the input will be disabled
         */
        "disabled"?: boolean;
        /**
          * if set, the component will be displayed in error mode
         */
        "error"?: boolean;
        /**
          * the error message to be displayed to the user
         */
        "errorMsg"?: string;
        /**
          * id attribute for the input element, this will be set automatically if it is not set by the developer
         */
        "inputId"?: string;
        /**
          * the label of the component, can also be inserted per slot
         */
        "label"?: string;
        /**
          * the maximum value that can be selected
         */
        "max"?: number;
        /**
          * the minimum value that can be selected
         */
        "min"?: number;
        /**
          * the name to be assigned to the range input
         */
        "name"?: string;
        /**
          * range input event emitted on change, includes value, inputId and name
         */
        "onUxRangeInputChange"?: (event: CustomEvent<{
        value: string;
        inputId: string;
        name: string;
    }>) => void;
        /**
          * the step to give the range input element
         */
        "step"?: number | "any";
        /**
          * the default value to give to the imput, it defaults to the min value
         */
        "value"?: number;
    }
    interface UxRedirect {
        /**
          * time until the redirect should occur in seconds
         */
        "delay"?: number;
        /**
          * Emitted before the actual redirect takes place, includes the URL, can be cancelled
         */
        "onUxRedirect"?: (event: CustomEvent<string>) => void;
        /**
          * url string where the user should be redirected to
         */
        "url"?: string;
    }
    interface UxScrollToTopButton {
        /**
          * gives the button a square look
         */
        "square"?: boolean;
    }
    interface UxSelect {
        /**
          * indicates if the select component is disabled
         */
        "disabled"?: boolean;
        /**
          * indicates if the select component has an error state
         */
        "error"?: boolean;
        /**
          * Error message that is rendered if component has an error
         */
        "errorMsg"?: string;
        /**
          * label text describing the select component field
         */
        "label"?: string;
        /**
          * name of the select field
         */
        "name"?: string;
        /**
          * event to set the currently active option
         */
        "onUxSelectChange"?: (event: CustomEvent<any>) => void;
        /**
          * array of options
         */
        "options"?: UxOption[];
        /**
          * indicates if the select component is required
         */
        "required"?: boolean;
        /**
          * select id attribute
         */
        "selectId"?: string;
    }
    interface UxSlider {
        /**
          * set the arrow navigation to be in the middle of the image, instead of the whole slider
         */
        "arrowsFollowImg"?: boolean | string;
        /**
          * if set, the height of the slider will be equal to the current visible slide
         */
        "autoHeight"?: boolean;
        /**
          * if set, the slider has autoplay on
         */
        "autoplay"?: boolean;
        /**
          * if set, the slider has autoplay on
         */
        "autoplayTime"?: number;
        /**
          * sets the custom breakpoint for large viewports
         */
        "breakpointL"?: number;
        /**
          * sets the custom breakpoint for medium viewports
         */
        "breakpointM"?: number;
        /**
          * sets the custom breakpoint for small viewports
         */
        "breakpointS"?: number;
        /**
          * additional classes that will be added to an inner div, used to set utility classes that will control the internal width of the slides
         */
        "containerClasses"?: string;
        /**
          * sets the inner container width for large viewports
         */
        "containerWidthL"?: string;
        /**
          * sets the inner container width for medium viewports
         */
        "containerWidthM"?: string;
        /**
          * sets the inner container width for small viewports
         */
        "containerWidthS"?: string;
        /**
          * sets the inner container width for XL viewports
         */
        "containerWidthXl"?: string;
        /**
          * slide transition effect: one of: "slide", "fade", "cube", "coverflow", "flip"
         */
        "effect"?: string;
        /**
          * if set, slider will be centered, with the addions of shadows on the sides to cut off excess slides on tablet viewports
         */
        "fadedSides"?: boolean;
        /**
          * if set, set the sliding to be infinite. Note This can cause issues with certain web-components. If you encounter such problems, disable loop.
         */
        "loop"?: boolean;
        /**
          * if set, the slider will have no navigation arrows
         */
        "noArrows"?: boolean;
        /**
          * if set, the swiping will be disabled for mouse drags
         */
        "noDrag"?: boolean;
        /**
          * event emitted when the slider is initialised
         */
        "onUxSliderInitialised"?: (event: CustomEvent<any>) => void;
        /**
          * event to go to previous slide
         */
        "onUxSliderUpdatePagination"?: (event: CustomEvent<any>) => void;
        /**
          * the slider will pause when there the mouse hovers the slider
         */
        "pauseOnHover"?: boolean | string;
        /**
          * if set,slider will reinitialise itself on resize
         */
        "reinitOnResize"?: boolean;
        /**
          * if set, height of the slides will be alligned with the max height of the container
         */
        "slidesAutoHeight"?: boolean;
        /**
          * if set, the slides will have overflow visible, useful when the slides have outer shadow
         */
        "slidesOverflowVisible"?: boolean;
        /**
          * sets the slides per columns for large viewports
         */
        "slidesPerColumnL"?: number;
        /**
          * sets the slides per columns for medium viewports
         */
        "slidesPerColumnM"?: number;
        /**
          * sets the slides per columns for small viewports
         */
        "slidesPerColumnS"?: number;
        /**
          * sets the slides per columns for XL viewports
         */
        "slidesPerColumnXl"?: number;
        /**
          * sets the slides per group of for large viewports
         */
        "slidesPerGroupL"?: number;
        /**
          * sets the slides per group for medium viewports
         */
        "slidesPerGroupM"?: number;
        /**
          * sets the slides per group for small viewports
         */
        "slidesPerGroupS"?: number;
        /**
          * sets the slides per group of for xl viewports
         */
        "slidesPerGroupXl"?: number;
        /**
          * sets the space between slides for large viewports
         */
        "spaceBetweenL"?: number;
        /**
          * sets the space between slides for medium viewports
         */
        "spaceBetweenM"?: number;
        /**
          * sets the space between slides for small viewports
         */
        "spaceBetweenS"?: number;
        /**
          * sets the space between slides for XL viewports
         */
        "spaceBetweenXl"?: number;
        /**
          * the speed of the slide stransitions
         */
        "speed"?: number;
        /**
          * sets the number of visible slides on large viewports
         */
        "visibleSlidesL"?: number | "auto";
        /**
          * sets the number of visible slides on medium viewports
         */
        "visibleSlidesM"?: number | "auto";
        /**
          * sets the number of visible slides on small viewports
         */
        "visibleSlidesS"?: number | "auto";
        /**
          * sets the number of visible slides on XL viewports
         */
        "visibleSlidesXl"?: number | "auto";
    }
    interface UxSliderPagination {
        /**
          * if set, the navigation will take the necessary styles to be the anchor navigation
         */
        "anchorPagination"?: boolean;
        /**
          * if set, the navigation will take the necessary styles to be the bottom navigation
         */
        "bottomPagination"?: boolean;
        /**
          * manages the pagination of custom slider types
         */
        "customPagination"?: string;
        /**
          * event to go to next slide
         */
        "onUxSliderNextSlide"?: (event: CustomEvent<any>) => void;
        /**
          * event to go to previous slide
         */
        "onUxSliderPreviousSlide"?: (event: CustomEvent<any>) => void;
        /**
          * the unique id of the reference slider - this will be set automatically by the ux-slider
         */
        "sliderId"?: string;
        /**
          * if set, the navigation bullets will not have side arrows
         */
        "withoutArrows"?: boolean;
    }
    interface UxSliderSlide {
    }
    interface UxSpinnerOverlay {
        /**
          * Boolean to indicate if or not the spinner-overlay is currently opened
         */
        "opened"?: boolean;
    }
    interface UxStaticFilter {
        /**
          * the maximum number of items to show at any given time
         */
        "maxItemsToShow"?: number | undefined;
    }
    interface UxSteps {
        /**
          * this value is representing the current active step
         */
        "current"?: number;
        /**
          * this value is representing number of steps
         */
        "items"?: number;
    }
    interface UxStepsItem {
        /**
          * indictates if step is active
         */
        "current"?: boolean;
        /**
          * indicates if step is done
         */
        "done"?: boolean;
        /**
          * number to be shown in the circle
         */
        "number"?: number;
    }
    interface UxTab {
        /**
          * prop that will be set automatically by the ux-tab-container if it has the anchor-navigation prop. In this case, all tabs will be visible and  will be displayed one after the other
         */
        "anchorNavigation"?: boolean;
        /**
          * Sets the name for the corresponding tab-button
         */
        "name"?: string;
        "onUxTabNameChange"?: (event: CustomEvent<any>) => void;
        /**
          * Sets ID for Tab
         */
        "tabId"?: string;
    }
    interface UxTabButton {
        /**
          * Contains the current active tab string
         */
        "activeTab"?: string;
        /**
          * Displays the label of the tab
         */
        "name"?: string;
        /**
          * Contains this tabs ID
         */
        "tabId"?: string;
    }
    interface UxTabContainer {
        /**
          * prop which holds the active tab id
         */
        "activeTabId"?: string;
        /**
          * pass in the desired justify-content flexbox value for the alignment of the tab buttons
         */
        "alignTabButtons"?: string;
        /**
          * if set, the tabs will act like an anchor navigation
         */
        "anchorNavigation"?: boolean;
        /**
          * if set, will fiix the tab header to the top of the screen upon scrolling past it
         */
        "fixToTop"?: boolean;
        /**
          * normally, if a "q" parameter is present in the url, the component will try to look for this q parameter value in the content of each tabs, and if a match is found, it will activate that tab. With this property set, the component will not perform any checking on the "q" parameter.
         */
        "ignoreSearchParameter"?: boolean;
        /**
          * when this is true, the tab navigation will not be displayed
         */
        "noNavigation"?: boolean;
        /**
          * event when the active tab was set
         */
        "onUxActiveTabSet"?: (event: CustomEvent<string>) => void;
        /**
          * if set, the page will scroll so that the tab-header is at the top if the page can be set either to true, and the target element will be the tab header, or a css selector can be used to define the scroll target elememt
         */
        "scrollWhenActivated"?: boolean | string;
        /**
          * classes to be passed down to the tab-header div, to facilitate integration
         */
        "tabHeaderClasses"?: string;
    }
    interface UxTabSwitcher {
        /**
          * identifier of the targeted tab
         */
        "tabId"?: string;
    }
    interface UxTable {
        /**
          * zero-based index of the column that should be fixed on smaller viewports - defaults to the first col
         */
        "fixedColIndex"?: number;
        /**
          * the table should always be at least 100% wide
         */
        "fullWidth"?: boolean;
        /**
          * The link in the last column will be added into the fixed column on smaller viewports
         */
        "hasFixedLink"?: boolean;
        /**
          * maximum number of pixels that the fixed column is allowed to be wide
         */
        "maxFixedColWidth"?: number;
        /**
          * the table should sort its static data by itself. Do not use this if the data needs to be sorted by some logic (i.e. via an API)
         */
        "sortable"?: boolean;
    }
    interface UxTableSort {
        /**
          * This is the name to send when it should sort ascending
         */
        "ascName"?: string;
        /**
          * This is the name to send when it should sort descending
         */
        "descName"?: string;
        /**
          * when the sort Button is clicked it emits the asc or desc name
         */
        "onUxTableSort"?: (event: CustomEvent<any>) => void;
        /**
          * indicates in which direction the data is already sorted. This has to be empty when it is not sorted yet. Setting this does not trigger the sorting event. Clicking the button will update this attribute.
         */
        "sortedDirection"?: "" | "asc" | "desc";
    }
    interface UxTag {
        /**
          * Fired when the tag is removed
         */
        "onUxRemove"?: (event: CustomEvent<any>) => void;
        /**
          * This connects the tag with the container
         */
        "reference"?: string;
        /**
          * If set to true, the tag is removed on click and a uxRemove event is fired
         */
        "removable"?: boolean;
    }
    interface UxTextareaField {
        /**
          * indicates if the textarea field is disabled
         */
        "disabled"?: boolean;
        /**
          * indicates if the textarea field has an error state
         */
        "error"?: boolean;
        /**
          * error message that is rendered if component has an error
         */
        "errorMsg"?: string;
        /**
          * label for the the textarea field
         */
        "label"?: string;
        /**
          * name of the textarea field
         */
        "name"?: string;
        /**
          * placeholder for the textarea field
         */
        "placeholder"?: string;
        /**
          * indicates if the textarea field is required
         */
        "required"?: boolean;
        /**
          * textarea id attribute
         */
        "textareaId"?: string;
        /**
          * value of the textarea element
         */
        "value"?: string;
    }
    interface UxToggleButton {
        /**
          * the component sets this to true when an error occurs while communicating with the API
         */
        "error"?: boolean;
        /**
          * name of icon to show when in state "off"
         */
        "iconOff"?: string;
        /**
          * name of icon to show when in state "on"
         */
        "iconOn"?: string;
        /**
          * is the toggle on or off
         */
        "on"?: boolean;
        /**
          * when button is clicked - returns the new toggle state as boolean
         */
        "onUxToggle"?: (event: CustomEvent<boolean>) => void;
        /**
          * when call to toggle url failed - returns the original toggle state as boolean
         */
        "onUxToggleFailed"?: (event: CustomEvent<boolean>) => void;
        /**
          * this id is used to identify similar toggleButtons to synchronise them
         */
        "syncId"?: string;
        /**
          * text to show on toggle button in "off" state (if used with icon it will be the title attribute)
         */
        "textOff"?: string;
        /**
          * text to show on toggle button in "on" state (if used with icon it will be the title attribute)
         */
        "textOn"?: string;
        /**
          * optional url to be called when the item should be toggled
         */
        "toggleUrl"?: string;
        /**
          * optional url to be called when the item should be untoggled (-> off), can be left empty if it is identical to toggleUrl
         */
        "untoggleUrl"?: string;
    }
    interface UxTooltip {
        /**
          * the desired alignment of the tooltip message
         */
        "align"?: "right" | "bottom" | "left" | "top";
        /**
          * set to true if the tooltip should be controlled from outside instead of handling UI events itself
         */
        "controlled"?: boolean;
        /**
          * Preventing multiple Tooltip avtive at the same time
         */
        "onUxTooltipActivated"?: (event: CustomEvent<string>) => void;
        /**
          * the css selector of the tooltip target, tooltip and target have to have the same parent element
         */
        "tooltipTarget"?: string;
    }
    interface UxVideo {
        /**
          * if set, the video will preload on mobile viiewport as well
         */
        "alwaysPreload"?: boolean;
        /**
          * if set, does not display a the custom play button will be set automatically if on of the parents has the class "js-video-play-button-handler", meaning that the video has a custom overlay
         */
        "noCustomPlayButton"?: boolean;
    }
    interface IntrinsicElements {
        "ux-accordion": UxAccordion;
        "ux-autosuggest-input": UxAutosuggestInput;
        "ux-autosuggest-item": UxAutosuggestItem;
        "ux-checkbox": UxCheckbox;
        "ux-checkbox-list-item": UxCheckboxListItem;
        "ux-checkbox-tile": UxCheckboxTile;
        "ux-collapsible": UxCollapsible;
        "ux-copy-to-clipboard": UxCopyToClipboard;
        "ux-country-icon": UxCountryIcon;
        "ux-data-ingest": UxDataIngest;
        "ux-date-picker": UxDatePicker;
        "ux-date-range-picker": UxDateRangePicker;
        "ux-date-time": UxDateTime;
        "ux-direct-searchbox": UxDirectSearchbox;
        "ux-dropdown": UxDropdown;
        "ux-file-upload": UxFileUpload;
        "ux-file-upload-thumbnail": UxFileUploadThumbnail;
        "ux-filter": UxFilter;
        "ux-form-group": UxFormGroup;
        "ux-icon": UxIcon;
        "ux-infinite-scroll-sensor": UxInfiniteScrollSensor;
        "ux-input-field": UxInputField;
        "ux-list": UxList;
        "ux-message-box": UxMessageBox;
        "ux-modal": UxModal;
        "ux-modal-content": UxModalContent;
        "ux-modal-footer": UxModalFooter;
        "ux-number-input": UxNumberInput;
        "ux-phone-input": UxPhoneInput;
        "ux-radio-button": UxRadioButton;
        "ux-radio-list-item": UxRadioListItem;
        "ux-range-input": UxRangeInput;
        "ux-redirect": UxRedirect;
        "ux-scroll-to-top-button": UxScrollToTopButton;
        "ux-select": UxSelect;
        "ux-slider": UxSlider;
        "ux-slider-pagination": UxSliderPagination;
        "ux-slider-slide": UxSliderSlide;
        "ux-spinner-overlay": UxSpinnerOverlay;
        "ux-static-filter": UxStaticFilter;
        "ux-steps": UxSteps;
        "ux-steps-item": UxStepsItem;
        "ux-tab": UxTab;
        "ux-tab-button": UxTabButton;
        "ux-tab-container": UxTabContainer;
        "ux-tab-switcher": UxTabSwitcher;
        "ux-table": UxTable;
        "ux-table-sort": UxTableSort;
        "ux-tag": UxTag;
        "ux-textarea-field": UxTextareaField;
        "ux-toggle-button": UxToggleButton;
        "ux-tooltip": UxTooltip;
        "ux-video": UxVideo;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "ux-accordion": LocalJSX.UxAccordion & JSXBase.HTMLAttributes<HTMLUxAccordionElement>;
            "ux-autosuggest-input": LocalJSX.UxAutosuggestInput & JSXBase.HTMLAttributes<HTMLUxAutosuggestInputElement>;
            "ux-autosuggest-item": LocalJSX.UxAutosuggestItem & JSXBase.HTMLAttributes<HTMLUxAutosuggestItemElement>;
            "ux-checkbox": LocalJSX.UxCheckbox & JSXBase.HTMLAttributes<HTMLUxCheckboxElement>;
            "ux-checkbox-list-item": LocalJSX.UxCheckboxListItem & JSXBase.HTMLAttributes<HTMLUxCheckboxListItemElement>;
            "ux-checkbox-tile": LocalJSX.UxCheckboxTile & JSXBase.HTMLAttributes<HTMLUxCheckboxTileElement>;
            "ux-collapsible": LocalJSX.UxCollapsible & JSXBase.HTMLAttributes<HTMLUxCollapsibleElement>;
            "ux-copy-to-clipboard": LocalJSX.UxCopyToClipboard & JSXBase.HTMLAttributes<HTMLUxCopyToClipboardElement>;
            "ux-country-icon": LocalJSX.UxCountryIcon & JSXBase.HTMLAttributes<HTMLUxCountryIconElement>;
            "ux-data-ingest": LocalJSX.UxDataIngest & JSXBase.HTMLAttributes<HTMLUxDataIngestElement>;
            "ux-date-picker": LocalJSX.UxDatePicker & JSXBase.HTMLAttributes<HTMLUxDatePickerElement>;
            "ux-date-range-picker": LocalJSX.UxDateRangePicker & JSXBase.HTMLAttributes<HTMLUxDateRangePickerElement>;
            "ux-date-time": LocalJSX.UxDateTime & JSXBase.HTMLAttributes<HTMLUxDateTimeElement>;
            "ux-direct-searchbox": LocalJSX.UxDirectSearchbox & JSXBase.HTMLAttributes<HTMLUxDirectSearchboxElement>;
            "ux-dropdown": LocalJSX.UxDropdown & JSXBase.HTMLAttributes<HTMLUxDropdownElement>;
            "ux-file-upload": LocalJSX.UxFileUpload & JSXBase.HTMLAttributes<HTMLUxFileUploadElement>;
            "ux-file-upload-thumbnail": LocalJSX.UxFileUploadThumbnail & JSXBase.HTMLAttributes<HTMLUxFileUploadThumbnailElement>;
            "ux-filter": LocalJSX.UxFilter & JSXBase.HTMLAttributes<HTMLUxFilterElement>;
            "ux-form-group": LocalJSX.UxFormGroup & JSXBase.HTMLAttributes<HTMLUxFormGroupElement>;
            "ux-icon": LocalJSX.UxIcon & JSXBase.HTMLAttributes<HTMLUxIconElement>;
            "ux-infinite-scroll-sensor": LocalJSX.UxInfiniteScrollSensor & JSXBase.HTMLAttributes<HTMLUxInfiniteScrollSensorElement>;
            "ux-input-field": LocalJSX.UxInputField & JSXBase.HTMLAttributes<HTMLUxInputFieldElement>;
            "ux-list": LocalJSX.UxList & JSXBase.HTMLAttributes<HTMLUxListElement>;
            "ux-message-box": LocalJSX.UxMessageBox & JSXBase.HTMLAttributes<HTMLUxMessageBoxElement>;
            "ux-modal": LocalJSX.UxModal & JSXBase.HTMLAttributes<HTMLUxModalElement>;
            "ux-modal-content": LocalJSX.UxModalContent & JSXBase.HTMLAttributes<HTMLUxModalContentElement>;
            "ux-modal-footer": LocalJSX.UxModalFooter & JSXBase.HTMLAttributes<HTMLUxModalFooterElement>;
            "ux-number-input": LocalJSX.UxNumberInput & JSXBase.HTMLAttributes<HTMLUxNumberInputElement>;
            "ux-phone-input": LocalJSX.UxPhoneInput & JSXBase.HTMLAttributes<HTMLUxPhoneInputElement>;
            "ux-radio-button": LocalJSX.UxRadioButton & JSXBase.HTMLAttributes<HTMLUxRadioButtonElement>;
            "ux-radio-list-item": LocalJSX.UxRadioListItem & JSXBase.HTMLAttributes<HTMLUxRadioListItemElement>;
            "ux-range-input": LocalJSX.UxRangeInput & JSXBase.HTMLAttributes<HTMLUxRangeInputElement>;
            "ux-redirect": LocalJSX.UxRedirect & JSXBase.HTMLAttributes<HTMLUxRedirectElement>;
            "ux-scroll-to-top-button": LocalJSX.UxScrollToTopButton & JSXBase.HTMLAttributes<HTMLUxScrollToTopButtonElement>;
            "ux-select": LocalJSX.UxSelect & JSXBase.HTMLAttributes<HTMLUxSelectElement>;
            "ux-slider": LocalJSX.UxSlider & JSXBase.HTMLAttributes<HTMLUxSliderElement>;
            "ux-slider-pagination": LocalJSX.UxSliderPagination & JSXBase.HTMLAttributes<HTMLUxSliderPaginationElement>;
            "ux-slider-slide": LocalJSX.UxSliderSlide & JSXBase.HTMLAttributes<HTMLUxSliderSlideElement>;
            "ux-spinner-overlay": LocalJSX.UxSpinnerOverlay & JSXBase.HTMLAttributes<HTMLUxSpinnerOverlayElement>;
            "ux-static-filter": LocalJSX.UxStaticFilter & JSXBase.HTMLAttributes<HTMLUxStaticFilterElement>;
            "ux-steps": LocalJSX.UxSteps & JSXBase.HTMLAttributes<HTMLUxStepsElement>;
            "ux-steps-item": LocalJSX.UxStepsItem & JSXBase.HTMLAttributes<HTMLUxStepsItemElement>;
            "ux-tab": LocalJSX.UxTab & JSXBase.HTMLAttributes<HTMLUxTabElement>;
            "ux-tab-button": LocalJSX.UxTabButton & JSXBase.HTMLAttributes<HTMLUxTabButtonElement>;
            "ux-tab-container": LocalJSX.UxTabContainer & JSXBase.HTMLAttributes<HTMLUxTabContainerElement>;
            "ux-tab-switcher": LocalJSX.UxTabSwitcher & JSXBase.HTMLAttributes<HTMLUxTabSwitcherElement>;
            "ux-table": LocalJSX.UxTable & JSXBase.HTMLAttributes<HTMLUxTableElement>;
            "ux-table-sort": LocalJSX.UxTableSort & JSXBase.HTMLAttributes<HTMLUxTableSortElement>;
            "ux-tag": LocalJSX.UxTag & JSXBase.HTMLAttributes<HTMLUxTagElement>;
            "ux-textarea-field": LocalJSX.UxTextareaField & JSXBase.HTMLAttributes<HTMLUxTextareaFieldElement>;
            "ux-toggle-button": LocalJSX.UxToggleButton & JSXBase.HTMLAttributes<HTMLUxToggleButtonElement>;
            "ux-tooltip": LocalJSX.UxTooltip & JSXBase.HTMLAttributes<HTMLUxTooltipElement>;
            "ux-video": LocalJSX.UxVideo & JSXBase.HTMLAttributes<HTMLUxVideoElement>;
        }
    }
}
