/**
 * @slot (default) - The content of the accordion
 * @slot title - the element for the accordion title
 */
export declare class Accordion {
  private baseClass;
  private contentContainer;
  private titleContainer;
  private title;
  element: HTMLUxAccordionElement;
  /** the amount in pixels from wich the accordion functionality is deactivated */
  noAccordionFrom: number | null;
  /** The class to be passes to the title of the accordion when it becomes active */
  activeTitleClass: string;
  /** If a click event is detected on this selector, the accordion will not trigger */
  noClickSelector: string;
  active: boolean;
  noAccordion: boolean;
  windowWidth: number;
  connectedCallback(): void;
  componentDidLoad(): void;
  private onResize;
  /**
   * Checks if the clicked element or its parentElement has any match with the given selector(tag, #id, .class)
   *
   * @param {string} selector - selector we are looking for
   * @param {object} clickedElement - the clicked event target
   * @return {boolean}
   */
  private matchingElement;
  private handleAccordionClick;
  setActiveClassToTitle(): void;
  disconnectedCallback(): void;
  render(): any;
}
