export declare class Dropdown {
  private baseClass;
  isOpen: boolean;
  activeLabel: null | string;
  /** Set parent container to calculate max width of dropdown and activating scrollbar overflow if necessary */
  parentContainerSelector: string;
  /** Text displayed on the Dropdown
   * @deprecated since version 2.13.2, use "placeholder" insead
   */
  label: string;
  /** Text displayed inside the Dropdown */
  placeholder: string;
  /** Name Identifies the dropdown in a bigger context (for example in forms, filters) */
  name: string;
  /** This toggles the text-input to filter the dropdown items */
  filterable: boolean;
  /** The placeholder string for the search field */
  searchPlaceholder: string;
  hasRadioListItems: boolean;
  domNode: HTMLUxDropdownElement;
  private dropdownList;
  private parentContainer;
  handleBodyClick(event: UIEvent): void;
  /** Connect filter */
  setParentContainer(): void;
  componentDidLoad(): void;
  private getActiveLabel;
  handleOneChoice(e: CustomEvent): Promise<void>;
  private onLabelClick;
  private enableScrollBarOnOverflow;
  render(): any;
}
