import { EventEmitter } from "../../stencil-public-runtime";
/**
 * @slot (default) - Label element slot, for label additional elements
 * @slot info-min - info label for the left side of the range
 * @slot info-max - info label for the right side of the range
 */
export declare class RangeInput {
  private baseClass;
  private rangeInput;
  private rangeMarker;
  element: HTMLUxRangeInputElement;
  /** the minimum value that can be selected */
  min: number;
  /** the maximum value that can be selected */
  max: number;
  /** the default value to give to the imput, it defaults to the min value */
  value: number;
  /** the step to give the range input element */
  step: number | "any";
  /** the label of the component, can also be inserted per slot */
  label: string;
  /** the name to be assigned to the range input */
  name: string;
  /** if set, the component will be displayed in error mode */
  error: boolean;
  /** the error message to be displayed to the user */
  errorMsg: string;
  /** if set, the input will be disabled */
  disabled: boolean;
  /** id attribute for the input element, this will be set automatically if it is not set by the developer */
  inputId: string;
  hasSlottedLabel: boolean;
  markerOffsetX: number;
  /** range input event emitted on change, includes value, inputId and name */
  rangeInputEvent: EventEmitter<{
    value: string;
    inputId: string;
    name: string;
  }>;
  componentWillLoad(): void;
  onResize(): void;
  private recalculateMarkerPosition;
  componentDidLoad(): void;
  private onChange;
  private getMarkerPosition;
  private onInvalid;
  render(): any;
}
