import { EventEmitter } from "../../../stencil-public-runtime";
export declare class SliderPagination {
  private baseClass;
  paginationElement: HTMLUxSliderPaginationElement;
  /** measures to set the position of the pagination in relation to the anchor element */
  paginationOffsetTop: number;
  paginationOffsetLeft: number;
  /** will be set to true if the slides are 10 or more, controls the styles */
  isDynamic: boolean;
  /** the unique id of the reference slider - this will be set automatically by the ux-slider */
  sliderId: string;
  /** if set, the navigation bullets will not have side arrows */
  withoutArrows: boolean;
  /** if set, the navigation will take the necessary styles to be the bottom navigation */
  bottomPagination: boolean;
  /** if set, the navigation will take the necessary styles to be the anchor navigation */
  anchorPagination: boolean;
  /** manages the pagination of custom slider types */
  customPagination: string;
  private bulletsContainer;
  /** event to go to next slide */
  nextSlide: EventEmitter;
  /** event to go to previous slide */
  previousSlide: EventEmitter;
  private handleNextSlide;
  private handlePreviousSlide;
  changeAnchorPosition(event: CustomEvent): void;
  private handleAnchorPosition;
  componentDidLoad(): void;
  private onResize;
  connectedCallback(): void;
  disconnectedCallback(): void;
  render(): any;
}
