import { EventEmitter } from "../../stencil-public-runtime";
export declare class ToggleButton {
  /** is the toggle on or off */
  on: boolean;
  /** this id is used to identify similar toggleButtons to synchronise them */
  syncId: string;
  /** optional url to be called when the item should be toggled */
  toggleUrl: string;
  /** optional url to be called when the item should be untoggled (-> off), can be left empty if it is identical to toggleUrl */
  untoggleUrl: string;
  /** text to show on toggle button in "on" state (if used with icon it will be the title attribute) */
  textOn: string;
  /** text to show on toggle button in "off" state (if used with icon it will be the title attribute) */
  textOff: string;
  /** name of icon to show when in state "on" */
  iconOn: string;
  /** name of icon to show when in state "off" */
  iconOff: string;
  /** the component sets this to true when an error occurs while communicating with the API */
  error: boolean;
  /** when button is clicked - returns the new toggle state as boolean */
  didToggle: EventEmitter<boolean>;
  /** when call to toggle url failed - returns the original toggle state as boolean */
  toggleFailed: EventEmitter<boolean>;
  private toggle;
  private syncOtherButtons;
  private waitForToggle;
  render(): any;
}
