/**
 * @slot (default) - insert a standard, valid HTML video element
 */
export declare class VideoPlayer {
  private baseClass;
  element: HTMLUxVideoElement;
  videoElement: HTMLVideoElement;
  /** if set, does not display a the custom play button
   * will be set automatically if on of the parents has the class
   * "js-video-play-button-handler", meaning that the video has a custom overlay
   */
  noCustomPlayButton: boolean;
  /** if set, the video will preload on mobile viiewport as well */
  alwaysPreload: boolean;
  isPaused: boolean;
  isEnded: boolean;
  videoControls: boolean;
  private haveControlsBeenSet;
  private handlePlay;
  private handlePause;
  private handleEnd;
  /**
   * This function has the purpose of setting the noCustomPLayButton prop
   * of the component to false if one of its parents has the class
   * "js-video-play-button-handler" which means that there is a custom overlay
   * over the video. NOTE: this logic depends on legacy Patterlab structure and
   * should be removed as soon as the video overlay functionality is migrated/removed
   * from patternlab.
   */
  private hasCustomOverlay;
  private handlePreload;
  connectedCallback(): void;
  disconnectedCallback(): void;
  render(): any;
}
