import{Element,Component,h,Host,Listen,Prop,State,Watch}from"@stencil/core";import dayjs from"dayjs";import{getUniqueId}from"../../utils/unique-id";import{DATE_ISO}from"../date-picker/constants";const baseClass="ux-date-range-picker";export class DateRangePicker{constructor(){this.dateFormat="YYYY-MM-DD",this.disabled=!1,this.errorMsg=null,this.firstWeekday=1,this.kind="default",this.rangeStartName="start_date",this.rangeStartValue="",this.rangeStartRequired=!1,this.rangeStartError=!1,this.rangeStartErrorMsg=null,this.rangeEndName="end_date",this.rangeEndValue="",this.rangeEndRequired=!1,this.rangeEndError=!1,this.rangeEndErrorMsg=null,this.rangeStartDay=null,this.rangeEndDay=null,this.startDatePicker=null,this.endDatePicker=null}setInputId(){this.inputId=this.inputId||getUniqueId()}setInitialRangeStart(){if(""!==this.rangeStartValue){const startDate=dayjs(this.rangeStartValue,this.dateFormat);if(startDate.isValid())return void(this.rangeStartDay=startDate)}this.rangeStartDay=null}setInitialRangeEnd(){if(""!==this.rangeEndValue){const endDate=dayjs(this.rangeEndValue,this.dateFormat);if(endDate.isValid())return void(this.rangeEndDay=endDate)}this.rangeEndDay=null}handleDateSelect(event){const{value:value}=event.detail,datePicker=event.target,{startDatePicker:startDatePicker,endDatePicker:endDatePicker}=this,activeDay=""===value?null:dayjs(value),range=this.getActiveRange(datePicker,activeDay);range.flipped&&event.preventDefault(),this.rangeStartDay=range.start,this.rangeEndDay=range.end,null!==this.rangeStartDay&&startDatePicker.selectDate(this.rangeStartDay.format(DATE_ISO)),null!==this.rangeEndDay&&endDatePicker.selectDate(this.rangeEndDay.format(DATE_ISO))}handleDateHover(event){const{value:value}=event.detail,datePicker=event.target,activeDay=""===value?null:dayjs(value),range=this.getActiveRange(datePicker,activeDay);datePicker.rangeStart=null===range.start?"":range.start.format(DATE_ISO),datePicker.rangeEnd=null===range.end?"":range.end.format(DATE_ISO)}getActiveRange(datePicker,activeDay){const{startDatePicker:startDatePicker,endDatePicker:endDatePicker}=this,range={start:this.rangeStartDay,end:this.rangeEndDay,flipped:!1};return null!==activeDay&&activeDay.isValid()?(datePicker===startDatePicker?null!==range.end&&activeDay.isAfter(range.end,"d")?(range.end=activeDay,range.flipped=!0):range.start=activeDay:datePicker===endDatePicker&&(null!==range.start&&activeDay.isBefore(range.start,"d")?(range.end=range.start,range.start=activeDay,range.flipped=!0):range.end=activeDay),range):(datePicker===startDatePicker?range.start=null:datePicker===endDatePicker&&(range.end=null),range)}componentWillLoad(){this.setInputId(),this.setInitialRangeStart(),this.setInitialRangeEnd()}render(){const{dateFormat:dateFormat,firstWeekday:firstWeekday,inputId:inputId,kind:kind,language:language,maxDate:maxDate,minDate:minDate,placeholder:placeholder,rangeStartDay:rangeStartDay,rangeStartLabel:rangeStartLabel,rangeStartName:rangeStartName,rangeStartValue:rangeStartValue,rangeStartRequired:rangeStartRequired,rangeStartError:rangeStartError,rangeStartErrorMsg:rangeStartErrorMsg,rangeEndDay:rangeEndDay,rangeEndLabel:rangeEndLabel,rangeEndName:rangeEndName,rangeEndValue:rangeEndValue,rangeEndRequired:rangeEndRequired,rangeEndError:rangeEndError,rangeEndErrorMsg:rangeEndErrorMsg,todayText:todayText,resetText:resetText}=this,rangeStart=null!==rangeStartDay?rangeStartDay.format(DATE_ISO):"",rangeEnd=null!==rangeEndDay?rangeEndDay.format(DATE_ISO):"";return h(Host,{class:{[baseClass]:!0,[`${baseClass}--kind-default`]:"default"===kind,[`${baseClass}--kind-form`]:"form"===kind}},h("div",{class:`${baseClass}__container`},h("ux-date-picker",{"date-format":dateFormat,"first-weekday":firstWeekday,"initial-value":rangeStartValue,"input-id":`${inputId}-start`,kind:kind,label:rangeStartLabel,language:language,"max-date":maxDate,"min-date":minDate,name:rangeStartName,placeholder:placeholder,"range-start":rangeStart,"range-end":rangeEnd,required:rangeStartRequired,error:rangeStartError,"error-msg":rangeStartErrorMsg,"reset-text":resetText,"today-text":todayText,ref:el=>this.startDatePicker=el}),h("span",{class:`${baseClass}__separator`},"-"),h("ux-date-picker",{"date-format":dateFormat,"first-weekday":firstWeekday,"initial-value":rangeEndValue,"input-id":`${inputId}-end`,kind:kind,label:rangeEndLabel,language:language,"max-date":maxDate,"min-date":minDate,name:rangeEndName,placeholder:placeholder,"range-start":rangeStart,"range-end":rangeEnd,required:rangeEndRequired,error:rangeEndError,"error-msg":rangeEndErrorMsg,"reset-text":resetText,"today-text":todayText,ref:el=>this.endDatePicker=el})))}static get is(){return"ux-date-range-picker"}static get originalStyleUrls(){return{$:["date-range-picker.scss"]}}static get styleUrls(){return{$:["date-range-picker.css"]}}static get properties(){return{dateFormat:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Format of the date value"},attribute:"date-format",reflect:!1,defaultValue:'"YYYY-MM-DD"'},disabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Flag that controls if the field is disabled"},attribute:"disabled",reflect:!1,defaultValue:"false"},errorMsg:{type:"string",mutable:!1,complexType:{original:"string | null",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Error message that is rendered in invalid state"},attribute:"error-msg",reflect:!1,defaultValue:"null"},firstWeekday:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"The weekday the calendar starts with (0=sunday, 1=monday, 6=saturday)"},attribute:"first-weekday",reflect:!1,defaultValue:"1"},inputId:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Input id attribute"},attribute:"input-id",reflect:!1},kind:{type:"string",mutable:!1,complexType:{original:'"default" | "form"',resolved:'"default" | "form"',references:{}},required:!1,optional:!1,docs:{tags:[],text:"Controls the appearance of the control"},attribute:"kind",reflect:!1,defaultValue:'"default"'},language:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"The language in which texts are displayed"},attribute:"language",reflect:!1},maxDate:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Optionally, the date can be restricted to a maximum value (YYYY-MM-DD)"},attribute:"max-date",reflect:!1},minDate:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Optionally, the date can be restricted to a minimum value (YYYY-MM-DD)"},attribute:"min-date",reflect:!1},placeholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"the input placeholder text"},attribute:"placeholder",reflect:!1},resetText:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Label for the reset button"},attribute:"reset-text",reflect:!1},todayText:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Label for the today button"},attribute:"today-text",reflect:!1},rangeStartLabel:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Label text for the range end field"},attribute:"range-start-label",reflect:!1},rangeStartName:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Name for the range start input"},attribute:"range-start-name",reflect:!1,defaultValue:'"start_date"'},rangeStartValue:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Initial range start date (YYYY-MM-DD)"},attribute:"range-start-value",reflect:!1,defaultValue:'""'},rangeStartRequired:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Flag that controls if the range start is mandatory"},attribute:"range-start-required",reflect:!1,defaultValue:"false"},rangeStartError:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Indicates an invalid end date"},attribute:"range-start-error",reflect:!1,defaultValue:"false"},rangeStartErrorMsg:{type:"string",mutable:!1,complexType:{original:"string | null",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Error message for the range start field"},attribute:"range-start-error-msg",reflect:!1,defaultValue:"null"},rangeEndLabel:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Label text for the range end field"},attribute:"range-end-label",reflect:!1},rangeEndName:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Name for the range end input"},attribute:"range-end-name",reflect:!1,defaultValue:'"end_date"'},rangeEndValue:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Initial range end date (YYYY-MM-DD)"},attribute:"range-end-value",reflect:!1,defaultValue:'""'},rangeEndRequired:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Flag that controls if the range end is mandatory"},attribute:"range-end-required",reflect:!1,defaultValue:"false"},rangeEndError:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Indicates an invalid end date"},attribute:"range-end-error",reflect:!1,defaultValue:"false"},rangeEndErrorMsg:{type:"string",mutable:!1,complexType:{original:"string | null",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Error message for the range end field"},attribute:"range-end-error-msg",reflect:!1,defaultValue:"null"}}}static get states(){return{rangeStartDay:{},rangeEndDay:{}}}static get elementRef(){return"domNode"}static get watchers(){return[{propName:"inputId",methodName:"setInputId"},{propName:"rangeStartValue",methodName:"setInitialRangeStart"},{propName:"rangeEndValue",methodName:"setInitialRangeEnd"}]}static get listeners(){return[{name:"uxDateSelect",method:"handleDateSelect",target:void 0,capture:!1,passive:!1},{name:"uxDateHover",method:"handleDateHover",target:void 0,capture:!1,passive:!1}]}}