import{Element,Component,h,Host,Prop,State,Watch}from"@stencil/core";import api from"../../utils/api";import{buildQueryString}from"../../utils/buildQueryString";import{Label}from"../label/label";const baseClass="ux-direct-searchbox";let uidIncrement=0;const getUniqueId=()=>`direct-searchbox-${(++uidIncrement).toString().padStart(3,"0")}`;export class DirectSearchbox{constructor(){this.inputId="",this.name="q",this.label="",this.placeholder="",this.buttonText="",this.url="",this.disabled=!1,this.error=!1,this.pending=!1,this.errorMsg=null,this.uniqueId="",this.searchResult=null,this.searchInput=null}componentWillLoad(){this.uniqueId=this.inputId||`direct-searchbox-${(++uidIncrement).toString().padStart(3,"0")}`}handleSearchResult(){if(null===this.searchResult)return;const{redirectUrl:redirectUrl}=this.searchResult;void 0===redirectUrl?null!==this.searchInput&&(this.searchInput.value=""):window.top.location.href=redirectUrl}componentDidLoad(){this.searchInput=this.domNode.querySelector("input[type=text]")}requestData(url){if(""===url||null===this.searchInput||""===this.searchInput.value)return;const options=isMockUrl(url)?{}:{method:"POST",body:buildQueryString({[this.name]:this.searchInput.value}),headers:{"Content-Type":"application/x-www-form-urlencoded;charset=UTF-8"}};this.errorMsg=null,this.error=!1,this.pending=!0,api(url,options).then((data=>{null!==data.result?this.searchResult=data.result:null!==data.error&&(this.errorMsg=data.error.message,this.error=!0),this.pending=!1})).catch((error=>{this.errorMsg=error.message,this.error=!0,this.pending=!1}))}handleFormEvent(e){switch(e.type){case"change":this.error=!1;break;case"submit":e.preventDefault(),this.requestData(this.url)}}render(){const{label:label,error:error,errorMsg:errorMsg,disabled:disabled,pending:pending,name:name,uniqueId:uniqueId}=this;return h(Host,{class:{[baseClass]:!0,[`${baseClass}--disabled`]:disabled,[`${baseClass}--error`]:error,[`${baseClass}--pending`]:pending}},h("form",{autoComplete:"off",autoCapitalize:"off",class:`${baseClass}-form`,"aria-disabled":disabled,"aria-invalid":error,onChange:e=>this.handleFormEvent(e),onSubmit:e=>this.handleFormEvent(e)},h(Label,{label:label,error:error,errorMsg:errorMsg,htmlFor:uniqueId}),h("div",{class:`${baseClass}-controls`},h("input",{class:{"ux-input":!0,"is-error":error},disabled:disabled,id:uniqueId,name:name,placeholder:this.placeholder,type:"text","aria-invalid":error,onChange:e=>this.handleFormEvent(e)}),h("span",{class:`${baseClass}-controls__spacer`,"aria-hidden":!0}),h("button",{class:"ux-button ux-button--green",disabled:disabled,type:"submit"},this.buttonText),pending&&h("span",{class:"ux-spinner ux-spinner--absolute"}))))}static get is(){return"ux-direct-searchbox"}static get originalStyleUrls(){return{$:["direct-searchbox.scss"]}}static get styleUrls(){return{$:["direct-searchbox.css"]}}static get properties(){return{inputId:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"an optional unique id for the input element"},attribute:"input-id",reflect:!1,defaultValue:'""'},name:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"the input name"},attribute:"name",reflect:!1,defaultValue:'"q"'},label:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"the input label text"},attribute:"label",reflect:!1,defaultValue:'""'},placeholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"the input placeholder text"},attribute:"placeholder",reflect:!1,defaultValue:'""'},buttonText:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"the submit button label"},attribute:"button-text",reflect:!1,defaultValue:'""'},url:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"the API endpoint from which data is requested"},attribute:"url",reflect:!1,defaultValue:'""'},disabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"flag that controls if the searchbox is disabled"},attribute:"disabled",reflect:!0,defaultValue:"false"},error:{type:"boolean",mutable:!0,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"flag that indicates that the search api has responded with an error"},attribute:"error",reflect:!0,defaultValue:"false"},pending:{type:"boolean",mutable:!0,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"flag that indicates a pending search request"},attribute:"pending",reflect:!0,defaultValue:"false"},errorMsg:{type:"string",mutable:!0,complexType:{original:"string | null",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"an error message which is rendered in error state"},attribute:"error-msg",reflect:!0,defaultValue:"null"}}}static get states(){return{uniqueId:{},searchResult:{}}}static get elementRef(){return"domNode"}static get watchers(){return[{propName:"inputId",methodName:"componentWillLoad"},{propName:"searchResult",methodName:"handleSearchResult"}]}}function isMockUrl(url){return url.indexOf("/mock-data/")>-1}