import{Component,Prop,h,Host,Element,State,Watch}from"@stencil/core";import{calculateValue,getValidatedValue,getNumberValue}from"./number-input-utils";import{Label}from"../label/label";const baseClass="ux-number-input";let id=0;export class NumberInput{constructor(){this.name="",this.initialValue="0",this.step="1",this.max="",this.min="",this.label="",this.disabled=!1,this.required=!1,this.error=!1,this.errorMsg=null,this.inputId=""}componentWillLoad(){const{initialValue:initialValue}=this,initialNumber=+initialValue;isNaN(initialNumber)||(this.value=initialNumber),this.setNumbers(),""===this.inputId&&(this.inputId=`${baseClass}-id-${id++}`)}setNumbers(){const{max:max,min:min,step:step}=this;this.minValue=getNumberValue(min),this.maxValue=getNumberValue(max);const stepValue=getNumberValue(step);this.stepValue=isNaN(stepValue)?1:stepValue}handlePlus(){this.changeValue("increment")}handleMinus(){this.changeValue("decrement")}changeValue(type="increment"){const{stepValue:stepValue,maxValue:maxValue,minValue:minValue,value:value}=this;console.log(type,value),this.value=calculateValue(type,value,stepValue,maxValue,minValue)}onChange(event){const{maxValue:maxValue,minValue:minValue}=this,{value:value}=event.target;this.value=getValidatedValue(value,this.value,maxValue,minValue),console.log(this.value,value),event.target.value=this.value}render(){const{name:name,max:max,min:min,stepValue:stepValue,value:value,label:label,disabled:disabled,required:required,error:error,errorMsg:errorMsg,inputId:inputId}=this;return h(Host,{class:{[baseClass]:!0,[`${baseClass}--disabled`]:disabled,[`${baseClass}--error`]:error}},h(Label,{required:required,label:label,error:error,errorMsg:errorMsg,htmlFor:inputId}),h("div",null,h("div",{class:`${baseClass}__wrapper`},h("button",{type:"button",class:`${baseClass}__btn`,onClick:()=>this.handleMinus()},"–"),h("input",{class:`${baseClass}__input`,name:name,step:stepValue.toString(),type:"number",id:inputId,max:max,min:min,value:value,onInput:event=>this.onChange(event)}),h("button",{type:"button",class:`${baseClass}__btn`,onClick:()=>this.handlePlus()},"+"))))}static get is(){return"ux-number-input"}static get originalStyleUrls(){return{$:["number-input.scss"]}}static get styleUrls(){return{$:["number-input.css"]}}static get properties(){return{name:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"name attribute for the input"},attribute:"name",reflect:!1,defaultValue:'""'},initialValue:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"initial value for the input"},attribute:"initial-value",reflect:!1,defaultValue:'"0"'},step:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"size of increment/decrement for the plus/minus button"},attribute:"step",reflect:!1,defaultValue:'"1"'},max:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"max value"},attribute:"max",reflect:!1,defaultValue:'""'},min:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"min value"},attribute:"min",reflect:!1,defaultValue:'""'},label:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Label text describing the number input field"},attribute:"label",reflect:!1,defaultValue:'""'},disabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"indicates if the number input is disabled"},attribute:"disabled",reflect:!1,defaultValue:"false"},required:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"indicates if the number input is required"},attribute:"required",reflect:!1,defaultValue:"false"},error:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"indicates if the number input has an error state"},attribute:"error",reflect:!1,defaultValue:"false"},errorMsg:{type:"string",mutable:!1,complexType:{original:"string | null",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Error message that is rendered if component has an error"},attribute:"error-msg",reflect:!1,defaultValue:"null"},inputId:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"id attribute for the input element, this will be set automatically if it is not set by the developer"},attribute:"input-id",reflect:!1,defaultValue:'""'}}}static get states(){return{value:{},minValue:{},maxValue:{},stepValue:{}}}static get elementRef(){return"domNode"}static get watchers(){return[{propName:"min",methodName:"setNumbers"},{propName:"max",methodName:"setNumbers"},{propName:"step",methodName:"setNumbers"}]}}